# $Revision: 1.972 $, $Date: 2012/01/12 08:27:14 $
# NOTE: mysqlnd does not support ssl or compression (see FAQ at http://dev.mysql.com/downloads/connector/php-mysqlnd/)
# UNPACKAGED EXTENSION NOTES:
# - com_dotnet is Win32-only
# TODO:
# - ttyname_r() misdetected http://bugs.php.net/bug.php?id=48820
# - wddx: restore session support (not compiled in due DL extension check)
# - deal with modules removed from php and not moved to PECL, still not obsoleted anywhere
#   - removed from php 5.0 (currently in php4):
#   db [pecl-svn], hyperwave [pecl-svn], java [pecl-svn], mcal [pecl-svn], qtdom [pecl-svn]
#   - removed from php 5.1:
#   oracle [pecl-svn]
#   - removed from php 5.2:
#   filepro [pecl-svn], hwapi [pecl-svn]
# - make additional headers and checking added by mail patch configurable
# - modularize standard (output from pure php -m)?
# - lib64 patch obsolete by $PHP_LIBDIR ?
# - WARNING: Phar: sha256/sha512 signature support disabled if ext/hash is
#   built shared, also PHAR_HAVE_OPENSSL is false if openssl is built shared.
#   make it runtime dep and add Suggests (or php warning messages)
# - some mods should be shared:
#$ php -m
# [PHP Modules]
#+Core
# date
#+ereg
# libxml
# Reflection
#
# Conditional build:
%bcond_with	interbase_inst	# use InterBase install., not Firebird	(BR: proprietary libs)
%bcond_with	oci8		# with Oracle oci8 extension module	(BR: proprietary libs)
%bcond_with	instantclient	# build Oracle oci8 extension module against oracle-instantclient package
%bcond_with	system_gd	# with system gd (we prefer internal since it enables few more features)
%bcond_with	system_libzip	# with system libzip (reported broken currently)
%bcond_without	curl		# without CURL extension module
%bcond_without	filter		# without filter extension module
%bcond_without	enchant		# without Enchant extension module
%bcond_without	imap		# without IMAP extension module
%bcond_without	interbase	# without InterBase extension module
%bcond_without	kerberos5	# without Kerberos5 support
%bcond_without	litespeed	# build litespeed module
%bcond_without	ldap		# without LDAP extension module
%bcond_without	mhash		# without mhash extension (supported by hash extension)
%bcond_without	mm		# without mm support for session storage
%bcond_without	mssql		# without MS SQL extension module
# don't turn it on by default; see TODO item for mysqlnd in this spec
%bcond_with	mysqlnd		# with mysqlnd support in mysql related extensions
%bcond_without	mysqli		# without mysqli support (Requires mysql > 4.1)
%bcond_without	odbc		# without ODBC extension module
%bcond_without	openssl		# without OpenSSL support and OpenSSL extension (module)
%bcond_without	pcre		# without PCRE extension module
%bcond_without	pdo_sqlite	# without PDO SQLite extension module
%bcond_without	pgsql		# without PostgreSQL extension module
%bcond_without	phar		# without phar extension module
%bcond_without	pspell		# without pspell extension module
%bcond_without	recode		# without recode extension module
%bcond_without	snmp		# without SNMP extension module
%bcond_without	sqlite2		# without SQLite extension module
%bcond_without	sqlite3		# without SQLite3 extension module
%bcond_without	sybase_ct	# without Sybase-CT extension module
%bcond_without	tidy		# without Tidy extension module
%bcond_without	wddx		# without WDDX extension module
%bcond_without	xmlrpc		# without XML-RPC extension module
%bcond_without	apache1		# disable building Apache 1.3.x SAPI
%bcond_without	apache2		# disable building Apache 2.x SAPI
%bcond_with	zts		# Zend Thread Safety
%bcond_without	cgi		# disable CGI/FCGI SAPI
%bcond_without	fpm		# disable FPM
%bcond_without	embed		# disable Embedded API
%bcond_without	suhosin		# with suhosin patch
%bcond_with	tests		# default off; test process very often hangs on builders, approx run time 45m; perform "make test"
%bcond_with	gcov		# Enable Code coverage reporting
%bcond_with	type_hints	# experimental support for strict typing/casting

%define apxs1		/usr/sbin/apxs1
%define	apxs2		/usr/sbin/apxs
%define	litespeed_version	5.5

# disable all sapis
%if %{with gcov}
%undefine	with_apache1
%undefine	with_apache2
%undefine	with_cgi
%undefine	with_litespeed
%endif

# mm is not thread safe
%if %{with zts}
%undefine	with_mm
%endif

%ifnarch %{ix86} %{x8664} sparc sparcv9 alpha
# ppc disabled (broken on th-ppc)
%undefine	with_interbase
%endif

%ifnarch %{ix86} %{x8664}
# unsupported, see sapi/cgi/fpm/fpm_atomic.h
%undefine	with_fpm
%endif

%if 0
%if %{without apache1} && %{without apache2}
ERROR: You need to select at least one Apache SAPI to build shared modules.
%endif
%endif

# filter depends on pcre
%if %{without pcre}
%undefine	with_filter
%endif

%define		rel	1
Summary:	PHP: Hypertext Preprocessor
Summary(fr.UTF-8):	Le langage de script embarque-HTML PHP
Summary(pl.UTF-8):	Język skryptowy PHP
Summary(pt_BR.UTF-8):	A linguagem de script PHP
Summary(ru.UTF-8):	PHP Версии 5 - язык препроцессирования HTML-файлов, выполняемый на сервере
Summary(uk.UTF-8):	PHP Версії 5 - мова препроцесування HTML-файлів, виконувана на сервері
Name:		php
Version:	5.3.9
Release:	%{rel}%{?with_type_hints:.th}%{?with_oci8:.oci}
Epoch:		4
License:	PHP
Group:		Libraries
Source0:	http://www.php.net/distributions/%{name}-%{version}.tar.bz2
# Source0-md5:	dd3288ed5c08cd61ac5bf619cb357521
Source2:	%{name}-mod_%{name}.conf
Source3:	%{name}-cgi-fcgi.ini
Source4:	%{name}-apache.ini
Source5:	%{name}-cli.ini
# Taken from: http://browsers.garykeith.com/downloads.asp
Source9:	%{name}_browscap.ini
Source10:	%{name}-fpm.init
Source11:	%{name}-fpm.logrotate
Source12:	%{name}-branch.sh
Source13:	dep-tests.sh
Source14:	skip-tests.sh
Source15:	http://litespeedtech.com/packages/lsapi/%{name}-litespeed-%{litespeed_version}.tgz
# Source15-md5:	9d58485d5fd6b5f5fefcec41b9ce283e
Patch0:		%{name}-shared.patch
Patch1:		%{name}-pldlogo.patch
Patch2:		%{name}-mail.patch
Patch3:		%{name}-link-libs.patch
Patch4:		%{name}-libpq_fs_h_path.patch
Patch5:		%{name}-filter-shared.patch
Patch6:		%{name}-build_modules.patch
Patch7:		%{name}-sapi-ini-file.patch
Patch8:		%{name}-config-file-scan-dir.patch
Patch9:		%{name}-sh.patch
Patch10:	%{name}-ini.patch
Patch11:	embed.patch
%if %{with type_hints}
Patch12:	http://ilia.ws/patch/type_hint_53_v2.txt
%endif
Patch14:	%{name}-no_pear_install.patch
Patch15:	%{name}-zlib.patch
Patch17:	%{name}-readline.patch
Patch18:	%{name}-nohttpd.patch
Patch19:	%{name}-gd_imagerotate_enable.patch
Patch20:	%{name}-uint32_t.patch
Patch21:	%{name}-dba-link.patch
Patch22:	%{name}-both-apxs.patch
Patch23:	%{name}-builddir.patch
Patch24:	%{name}-zlib-for-getimagesize.patch
Patch25:	%{name}-stupidapache_version.patch
Patch26:	%{name}-pear.patch
Patch27:	%{name}-config-dir.patch
Patch29:	%{name}-fcgi-graceful.patch
Patch31:	%{name}-fcgi-error_log-no-newlines.patch
Patch34:	%{name}-libtool.patch
Patch35:	%{name}-tds.patch
Patch36:	%{name}-mysql-charsetphpini.patch
Patch37:	%{name}-mysqli-charsetphpini.patch
Patch38:	%{name}-pdo_mysql-charsetphpini.patch
Patch39:	%{name}-use-prog_sendmail.patch
Patch41:	%{name}-fpm-config.patch
Patch42:	%{name}-fpm-shared.patch
Patch43:	%{name}-silent-session-cleanup.patch
Patch44:	%{name}-include_path.patch
Patch45:	%{name}-imap-annotations.patch
Patch46:	%{name}-imap-myrights.patch
Patch47:	suhosin.patch
Patch49:	%{name}-m4-divert.patch
Patch50:	extension-shared-optional-dep.patch
Patch51:	spl-shared.patch
Patch52:	pcre-shared.patch
Patch53:	fix-test-run.patch
Patch55:	bug-52078-fileinode.patch
Patch59:	%{name}-systzdata.patch
Patch60:	%{name}-oracle-instantclient.patch
Patch62:	mcrypt-libs.patch
Patch63:	%{name}-mysql-nowarning.patch
Patch64:	%{name}-m4.patch
# http://spot.fedorapeople.org/php-5.3.6-libzip.patch
Patch65:	system-libzip.patch
URL:		http://www.php.net/
%{?with_interbase:%{!?with_interbase_inst:BuildRequires:	Firebird-devel >= 1.0.2.908-2}}
%{?with_pspell:BuildRequires:	aspell-devel >= 2:0.50.0}
BuildRequires:	autoconf >= 2.53
BuildRequires:	automake >= 1.4d
BuildRequires:	bison
BuildRequires:	bzip2-devel
%{?with_curl:BuildRequires:	curl-devel >= 7.12.0}
BuildRequires:	cyrus-sasl-devel
BuildRequires:	db-devel >= 4.0
BuildRequires:	elfutils-devel
%{?with_enchant:BuildRequires:	enchant-devel >= 1.1.3}
#BuildRequires:	fcgi-devel
#BuildRequires:	flex
%{?with_kerberos5:BuildRequires:	heimdal-devel}
%{?with_system_libzip:BuildRequires:	libzip-devel >= 0.10-3}
BuildRequires:	mysql-devel
BuildRequires:	pkgconfig
BuildRequires:	sed >= 4.0
%if %{with mssql} || %{with sybase_ct}
BuildRequires:	freetds-devel >= 0.82
%endif
BuildRequires:	freetype-devel >= 2.0
%if %{with system_gd}
BuildRequires:	gd-devel >= 2.0.28-4
BuildRequires:	gd-devel(imagerotate) = 5.2.0
%endif
BuildRequires:	gdbm-devel
BuildRequires:	gmp-devel
%{?with_imap:BuildRequires:	imap-devel >= 1:2007e-2}
BuildRequires:	libicu-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libltdl-devel >= 1.4
BuildRequires:	libmcrypt-devel >= 2.4.4
BuildRequires:	libpng-devel >= 1.0.8
#BuildRequires:	libtiff-devel
%if "%{pld_release}" != "ac"
BuildRequires:	libtool >= 2:2.2
%else
BuildRequires:	libtool >= 1.4.3
%endif
#BuildRequires:	libwrap-devel
BuildRequires:	libxml2-devel >= 1:2.7.6-4
BuildRequires:	libxslt-devel >= 1.1.0
%{?with_mm:BuildRequires:	mm-devel >= 1.3.0}
%{?with_ldap:BuildRequires:	openldap-devel >= 2.3.0}
%if %{with openssl} || %{with ldap}
BuildRequires:	openssl-devel >= 0.9.7d
%endif
%{?with_gcov:BuildRequires:	lcov}
%{?with_snmp:%{?with_tests:BuildRequires:	mibs-net-snmp}}
%{?with_snmp:BuildRequires:	net-snmp-devel >= 5.0.7}
%{?with_instantclient:BuildRequires:	oracle-instantclient-devel}
BuildRequires:	pam-devel
%{?with_pcre:BuildRequires:	pcre-devel >= 8.10}
BuildRequires:	pkgconfig
%{?with_pgsql:BuildRequires:	postgresql-backend-devel >= 7.2}
%{?with_pgsql:BuildRequires:	postgresql-devel}
BuildRequires:	readline-devel
%{?with_recode:BuildRequires:	recode-devel >= 3.5d-3}
BuildRequires:	rpm >= 4.4.9-56
BuildRequires:	rpm-build >= 4.4.0
BuildRequires:	rpmbuild(macros) >= 1.566
%{?with_sqlite2:BuildRequires:	sqlite-devel}
%if %{with sqlite3} || %{with pdo_sqlite}
BuildRequires:	sqlite3-devel >= 3.3.9
%endif
BuildRequires:	t1lib-devel
%{?with_tidy:BuildRequires:	tidy-devel}
%{?with_odbc:BuildRequires:	unixODBC-devel}
%{?with_xmlrpc:BuildRequires:	xmlrpc-epi-devel >= 0.54.1}
BuildRequires:	zlib-devel >= 1.0.9
%if %{with apache1}
BuildRequires:	apache1-devel
%endif
%if %{with apache2}
BuildRequires:	apache-devel >= 2.0.52-2
BuildRequires:	apr-devel >= 1:1.0.0
BuildRequires:	apr-util-devel >= 1:1.0.0
%endif
%if %{with fpm}
#BuildRequires:	judy-devel
BuildRequires:	libevent-devel >= 1.4.7-3
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		php_sysconfdir		/etc/php
%define		php_extensiondir	%{_libdir}/php
%define		_sysconfdir			%{php_sysconfdir}

# must be in sync with source. extra check ensuring that it is so is done in %%build
%define		php_api_version		20090626
%define		zend_module_api		20090626
%define		zend_extension_api	220090626

# Extension versions
%define		bz2ver		1.0
%define		enchantver	1.1.0
%define		fileinfover	1.0.5-dev
%define		hashver		1.0
%define		intlver		1.1.0
%define		jsonver		1.2.1
%define		pharver		2.0.1
%define		sqlitever	2.0-dev
%define		zipver		1.9.1

%define		zend_zts		%{!?with_zts:0}%{?with_zts:1}
%define		php_debug		%{!?debug:0}%{?debug:1}

%if %{with gcov}
%undefine	with_ccache
%endif

%if %{with oci8}
# ORACLE_HOME is required for oci8 ext to build
%define _preserve_env %_preserve_env_base ORACLE_HOME
%endif

%description
PHP is an HTML-embedded scripting language. PHP attempts to make it
easy for developers to write dynamically generated web pages. PHP also
offers built-in database integration for several commercial and
non-commercial database management systems, so writing a
database-enabled web page with PHP is fairly simple. The most common
use of PHP coding is probably as a replacement for CGI scripts. The
mod_php module enables the Apache web server to understand and process
the embedded PHP language in web pages. This package contains PHP
version %{version}.

%description -l fr.UTF-8
PHP est un langage de script embarque dans le HTM. PHP essaye de
rendre simple aux developpeurs d'ecrire des pages web generees
dynamiquement. PHP incorpore egalement une integration avec plusieurs
systemes de gestion de bases de donnees commerciaux et
non-connerciaux, qui rent facile la creation de pages web liees avec
des bases de donnees. L'utilisation la plus commune de PHP est
probablement en remplacement de scripts CGI. Le module mod_php permet
au serveur web Apache de comprendre et de traiter le langage PHP
integre dans des pages web. Ce package contient PHP version
%{version}.

%description -l pl.UTF-8
PHP jest językiem skryptowym, którego polecenia umieszcza się w
plikach HTML. Jest próbą ułatwienia programistom pisania dynamicznie
generowanych stron WWW. Oferuje także wbudowaną integrację z bazami
danych dla kilku komercyjnych i niekomercyjnych systemów baz danych,
co czyni tworzenie stron korzystających z baz danych w miarę łatwym.
Najczęściej PHP jest używany prawdopodobnie jako zamiennik skryptów
CGI. Moduł mod_php pozwala serwerowi WWW Apache rozumieć i przetwarzać
język PHP osadzony w stronach. Ten pakiet zawiera PHP w wersji
%{version}.

%description -l pt_BR.UTF-8
PHP: Preprocessador de Hipertexto versão 4 é uma linguagem script
embutida em HTML. Muito de sua sintaxe é emprestada de C, Java e Perl,
com algumas características únicas, específicas ao PHP. O objetivo da
linguagem é permitir que desenvolvedores web escrevam páginas
dinamicamente geradas de forma rápida.

%description -l ru.UTF-8
PHP - это язык написания скриптов, встраиваемых в HTML-код. PHP
предлагает интерграцию с множеством СУБД, поэтому написание скриптов
для работы с базами данных относительно просто. Наиболее популярное
использование PHP - замена для CGI скриптов.

%description -l uk.UTF-8
PHP - це мова написання скриптів, що вбудовуються в HTML-код. PHP
пропонує інтеграцію з багатьма СУБД, тому написання скриптів для
роботи з базами даних є доволі простим. Найбільш популярне
використання PHP - заміна для CGI скриптів.

%package -n apache1-mod_php
Summary:	PHP DSO module for Apache 1.3.x
Summary(pl.UTF-8):	Moduł DSO (Dynamic Shared Object) PHP dla Apache 1.3.x
Group:		Development/Languages/PHP
Requires(triggerpostun):	sed >= 4.0
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Requires:	apache1(EAPI) >= 1.3.33-2
Requires:	apache1-mod_mime
Provides:	webserver(php) = %{version}
Obsoletes:	apache-mod_php < 1:4.1.1
Obsoletes:	phpfi

%description -n apache1-mod_php
PHP as DSO module for Apache 1.3.x.

%description -n apache1-mod_php -l pl.UTF-8
PHP jako moduł DSO (Dynamic Shared Object) dla Apache 1.3.x.

%package -n apache-mod_php
Summary:	PHP DSO module for Apache 2.x
Summary(pl.UTF-8):	Moduł DSO (Dynamic Shared Object) PHP dla Apache 2.x
Group:		Development/Languages/PHP
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Requires:	apache(modules-api) = %{apache_modules_api}
Requires:	apache-mod_mime
Provides:	webserver(php) = %{version}
Obsoletes:	phpfi

%description -n apache-mod_php
PHP as DSO module for Apache 2.x.

%description -n apache-mod_php -l pl.UTF-8
PHP jako moduł DSO (Dynamic Shared Object) dla Apache 2.x.

%package litespeed
Summary:	PHP for litespeed HTTP server
Summary(pl.UTF-8):	PHP dla serwera HTTP litespeed
Group:		Development/Languages/PHP
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	webserver(php) = %{version}

%description litespeed
PHP for litespeed HTTP server.

%description litespeed -l pl.UTF-8
PHP dla serwera HTTP litespeed.

%package cgi
Summary:	PHP as CGI/FastCGI program
Summary(pl.UTF-8):	PHP jako program CGI/FastCGI
Group:		Development/Languages/PHP
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	%{name}-fcgi = %{epoch}:%{version}-%{release}
Provides:	php(cgi)
Provides:	php(fcgi)
Provides:	webserver(php)
Obsoletes:	php-fcgi < 4:5.3.0

%description cgi
PHP as CGI or FastCGI program.

%description cgi -l pl.UTF-8
PHP jako program CGI lub FastCGI.

%package cli
Summary:	PHP as CLI interpreter
Summary(pl.UTF-8):	PHP jako interpreter działający z linii poleceń
Group:		Development/Languages/PHP
Requires:	%{name}-common = %{epoch}:%{version}-%{release}

%description cli
PHP as CLI interpreter.

%description cli -l pl.UTF-8
PHP jako interpreter działający z linii poleceń.

%package embedded
Summary:	PHP library for embedding in applications
Group:		Libraries
Requires:	%{name}-common = %{epoch}:%{version}-%{release}

%description embedded
The php-embedded package contains a library which can be embedded into
applications to provide PHP scripting language support.

%package program
Summary:	/usr/bin/php symlink
Summary(pl.UTF-8):	Dowiązanie symboliczne /usr/bin/php
Group:		Development/Languages/PHP
Requires:	%{name}-cli = %{epoch}:%{version}-%{release}
Obsoletes:	/usr/bin/php

%description program
Package providing /usr/bin/php symlink to PHP CLI.

%description program -l pl.UTF-8
Pakiet dostarczający dowiązanie symboliczne /usr/bin/php do PHP CLI.

%package fpm
Summary:	PHP FastCGI Process Manager
Summary(pl.UTF-8):	PHP FastCGI Process Manager - zarządca procesów FastCGI
Group:		Development/Languages/PHP
URL:		http://www.php-fpm.org/
Requires(post,preun):	/sbin/chkconfig
Requires(postun):	/usr/sbin/userdel
Requires(pre):	/bin/id
Requires(pre):	/usr/sbin/useradd
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Requires:	libevent >= 1.4.7-3
Requires:	rc-scripts
Provides:	user(http)
Provides:	webserver(php) = %{version}

%description fpm
PHP FastCGI Process Manager.

%description fpm -l pl.UTF-8
PHP FastCGI Process Manager - zarządca procesów FastCGI.

%package common
Summary:	Common files needed by both Apache modules and CGI/CLI SAPIs
Summary(pl.UTF-8):	Wspólne pliki dla modułu Apache'a i programu CGI
Summary(ru.UTF-8):	Разделяемые библиотеки для PHP
Summary(uk.UTF-8):	Бібліотеки спільного використання для PHP
Group:		Libraries
Requires(post):	sed >= 4.0
# because of dlclose() bugs in glibc <= 2.3.4 causing SEGVs on exit
Requires:	glibc >= 6:2.3.5
Requires:	php-dirs
Requires:	rpm-whiteout >= 1.28
Requires:	tzdata
Provides:	php(date)
Provides:	php(ereg)
Provides:	php(hash)
Provides:	php(libxml)
Provides:	php(modules_api) = %{php_api_version}
Provides:	php(reflection)
Provides:	php(standard)
Provides:	php(zend_extension_api) = %{zend_extension_api}
Provides:	php(zend_module_api) = %{zend_module_api}
Provides:	php-date
Provides:	php-ereg
Provides:	php-reflection
Provides:	php-standard
Provides:	php5(debug) = %{php_debug}
Provides:	php5(thread-safety) = %{zend_zts}
%{!?with_mysqlnd:Obsoletes:	php-mysqlnd}
%{?with_pcre:%requires_ge_to	pcre pcre-devel}
Obsoletes:	php-pecl-domxml
Conflicts:	php4-common < 3:4.4.4-8
Conflicts:	rpm < 4.4.2-0.2

%description common
Common files needed by both Apache modules and CGI/CLI SAPIs.

%description common -l pl.UTF-8
Wspólne pliki dla modułu Apache'a i programu CGI.

%description common -l ru.UTF-8
Этот пакет содержит общие файлы для разных вариантов реализации PHP
(самодостаточной и в качестве модуля Apache).

%description common -l uk.UTF-8
Цей пакет містить спільні файли для різних варіантів реалізації PHP
(самодостатньої та в якості модуля Apache).

%package devel
Summary:	Files for PHP modules development
Summary(pl.UTF-8):	Pliki do kompilacji modułów PHP
Summary(pt_BR.UTF-8):	Arquivos de desenvolvimento para PHP
Summary(ru.UTF-8):	Пакет разработки для построения расширений PHP
Summary(uk.UTF-8):	Пакет розробки для побудови розширень PHP
Group:		Development/Languages/PHP
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Requires:	autoconf >= 2.13
Requires:	automake
%if "%{pld_release}" != "ac"
Requires:	libtool >= 2:2.2
%else
Requires:	libtool
%endif
%{?with_pcre:Requires:	pcre-devel >= 8.10}
%{?with_embed:Requires:	%{name}-embedded = %{epoch}:%{version}-%{release}}
Requires:	shtool
Obsoletes:	php-pear-devel
Obsoletes:	php4-devel

%description devel
The php-devel package lets you compile dynamic extensions to PHP.
Included here is the source for the PHP extensions. Instead of
recompiling the whole PHP binary to add support for, say, oracle,
install this package and use the new self-contained extensions
support. For more information, read the file
README.SELF-CONTAINED-EXTENSIONS.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki potrzebne do kompilacji modułów PHP. Zamiast
rekompilować całe PHP aby dodać obsługę np. oracle, można przy użyciu
tego pakietu skompilować samodzielne rozszerzenie. Więcej informacji o
samodzielnych rozszerzeniach można znaleźć w pliku
README.SELF-CONTAINED-EXTENSIONS.

%description devel -l pt_BR.UTF-8
Este pacote contém arquivos usados no desenvolvimento de programas ou
módulos PHP.

%description devel -l ru.UTF-8
Пакет php-devel дает возможность компилировать динамические расширения
PHP. Пакет включает исходный код этих расширений. Вместо повторной
компиляции бинарного файла PHP для добавления, например, поддержки
oracle, установите этот пакет для компилирования отдельных расширений.
Подробности - в файле README.SELF-CONTAINED-EXTENSIONS.

%description devel -l uk.UTF-8
Пакет php-devel дає можливість компілювати динамічні розширення PHP.
До пакету включено вихідний код для розширень. Замість повторної
компіляції бінарного файлу PHP для додання, наприклад, підтримки
oracle, встановіть цей пакет для компіляції окремих розширень.
Детальніша інформація - в файлі README.SELF-CONTAINED-EXTENSIONS.

%package bcmath
Summary:	bcmath extension module for PHP
Summary(pl.UTF-8):	Moduł bcmath dla PHP
Group:		Libraries
URL:		http://www.php.net/manual/en/book.bc.php
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(bcmath)

%description bcmath
This is a dynamic shared object (DSO) for PHP that will add bc style
precision math functions support.

%description bcmath -l pl.UTF-8
Moduł PHP umożliwiający korzystanie z dokładnych funkcji
matematycznych takich jak w programie bc.

%package bz2
Summary:	Bzip2 extension module for PHP
Summary(pl.UTF-8):	Moduł bzip2 dla PHP
Group:		Libraries
URL:		http://www.php.net/manual/en/book.bzip2.php
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(bz2) = %{bz2ver}
Provides:	php(bzip2)
Provides:	php-bzip2 = %{epoch}:%{version}-%{release}
Obsoletes:	php-bzip2 < 4:5.2.14-3
Obsoletes:	php-pecl-bz2 < %{bz2ver}

%description bz2
This is a dynamic shared object (DSO) for PHP that will add bzip2
compression support to PHP.

%description bz2 -l pl.UTF-8
Moduł PHP umożliwiający używanie kompresji bzip2.

%package calendar
Summary:	Calendar extension module for PHP
Summary(pl.UTF-8):	Moduł funkcji kalendarza dla PHP
Group:		Libraries
URL:		http://www.php.net/manual/en/book.calendar.php
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(calendar)

%description calendar
This is a dynamic shared object (DSO) for PHP that will add calendar
support.

%description calendar -l pl.UTF-8
Moduł PHP dodający wsparcie dla kalendarza.

%package ctype
Summary:	ctype extension module for PHP
Summary(pl.UTF-8):	Moduł ctype dla PHP
Group:		Libraries
URL:		http://www.php.net/manual/en/book.ctype.php
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(ctype)

%description ctype
This is a dynamic shared object (DSO) for PHP that will add ctype
support.

%description ctype -l pl.UTF-8
Moduł PHP umożliwiający korzystanie z funkcji ctype.

%package curl
Summary:	curl extension module for PHP
Summary(pl.UTF-8):	Moduł curl dla PHP
Group:		Libraries
URL:		http://www.php.net/manual/en/book.curl.php
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(curl)

%description curl
This is a dynamic shared object (DSO) for PHP that will add curl
support.

%description curl -l pl.UTF-8
Moduł PHP umożliwiający korzystanie z biblioteki curl.

%package dba
Summary:	DBA extension module for PHP
Summary(pl.UTF-8):	Moduł DBA dla PHP
Group:		Libraries
URL:		http://www.php.net/manual/en/book.dba.php
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(dba)

%description dba
This is a dynamic shared object (DSO) for PHP that will add flat-file
databases (DBA) support.

%description dba -l pl.UTF-8
Moduł dla PHP dodający obsługę dla baz danych opartych na plikach
(DBA).

%package dom
Summary:	DOM extension module for PHP
Summary(pl.UTF-8):	Moduł DOM dla PHP
Group:		Libraries
URL:		http://www.php.net/manual/en/book.dom.php
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(dom)
# it has some compatibility functions
Provides:	php(domxml)
Provides:	php-domxml = %{epoch}:%{version}-%{release}
Obsoletes:	php-domxml <= 3:4.3.8-1

%description dom
This is a dynamic shared object (DSO) for PHP that will add new DOM
support.

%description dom -l pl.UTF-8
Moduł PHP dodający nową obsługę DOM.

%package enchant
Summary:	libenchant binder
Summary(pl.UTF-8):	dowiązania biblioteki libenchant
Group:		Libraries
URL:		http://www.php.net/manual/en/book.exif.php
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(enchant) = %{enchantver}
Obsoletes:	php-pecl-enchant < %{enchantver}

%description enchant
Enchant is a binder for libenchant. Libenchant provides a common API
for many spell libraries:
- aspell/pspell (intended to replace ispell)
- hspell (hebrew)
- ispell
- myspell (OpenOffice.org project, mozilla)
- uspell (primarily Yiddish, Hebrew, and Eastern European languages) A
  plugin system allows to add custom spell support.

%description enchant -l pl.UTF-8
Enchant jest dowiązaniem do biblioteki libenchant, która udostępnia
ujednolicone API dla wielu narzędzi sprawdzających pisownię:
- aspell/pspell (w zamierzeniu ma zastąpić ispell)
- hspell (hebrajski)
- ispell
- myspell (projekt OpenOffice.org, mozilla)
- uspell (głównie Jidysz, Hebrajski oraz języki wschodnioeuropejskie)
  System wtyczek pozwala na dodanie wsparcia dla kolejnych narzędzi.

%package exif
Summary:	exif extension module for PHP
Summary(pl.UTF-8):	Moduł exif dla PHP
Group:		Libraries
URL:		http://www.php.net/manual/en/book.exif.php
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(exif)

%description exif
This is a dynamic shared object (DSO) for PHP that will add EXIF tags
support in image files.

%description exif -l pl.UTF-8
Moduł PHP dodający obsługę znaczników EXIF w plikach obrazków.

%package fileinfo
Summary:	libmagic bindings
Summary(pl.UTF-8):	Wiązania do libmagic
Group:		Libraries
URL:		http://www.php.net/manual/en/book.fileinfo.php
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Requires:	%{name}-pcre = %{epoch}:%{version}-%{release}
Provides:	php(fileinfo) = %{fileinfover}
Obsoletes:	php-mime_magic
Obsoletes:	php-pecl-fileinfo < %{fileinfover}

%description fileinfo
This extension allows retrieval of information regarding vast majority
of file. This information may include dimensions, quality, length
etc...

Additionally it can also be used to retrieve the MIME type for a
particular file and for text files proper language encoding.

%description fileinfo -l pl.UTF-8
To rozszerzenie pozwala na uzyskanie informacji dotyczących większości
plików. Informacje mogą zawierać wymiary, jakość, długość itp.

Ponadto rozszerzenie można wykorzystać do odczytania typu MIME danego
pliku oraz kodowania plików tekstowych.

%package filter
Summary:	Extension for safely dealing with input parameters
Summary(pl.UTF-8):	Rozszerzenie do bezpiecznej obsługi danych wejściowych
Group:		Libraries
URL:		http://www.php.net/manual/en/book.filter.php
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Requires:	%{name}-pcre = %{epoch}:%{version}-%{release}
Provides:	php(filter)
Obsoletes:	php-pecl-filter

%description filter
We all know that you should always check input variables, but PHP does
not offer really good functionality for doing this in a safe way. The
Input Filter extension is meant to address this issue by implementing
a set of filters and mechanisms that users can use to safely access
their input data.

%description filter -l pl.UTF-8
Wiadomo, że trzeba zawsze sprawdzać zmienne wejściowe, ale PHP nie
oferuje naprawdę dobrej funkcjonalności do robienia tego w sposób
bezpieczny. Rozszerzenie Input Filter ma rozwiązać ten problem poprzez
zaimplementowanie zestawu filtrów i mechanizmów, których użytkownicy
mogą bezpiecznie używać do dostępu do danych.

%package ftp
Summary:	FTP extension module for PHP
Summary(pl.UTF-8):	Moduł FTP dla PHP
Group:		Libraries
URL:		http://www.php.net/manual/en/book.ftp.php
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(ftp)

%description ftp
This is a dynamic shared object (DSO) for PHP that will add FTP
support.

%description ftp -l pl.UTF-8
Moduł PHP dodający obsługę protokołu FTP.

%package gd
Summary:	GD extension module for PHP
Summary(pl.UTF-8):	Moduł GD dla PHP
Group:		Libraries
URL:		http://www.php.net/manual/en/book.image.php
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
%if %{with system_gd}
Requires:	gd >= 2.0.28-4
Requires:	gd(gif)
Requires:	gd(imagerotate) = 5.2.0
%endif
Provides:	php(gd)

%description gd
This is a dynamic shared object (DSO) for PHP that will add GD
support, allowing you to create and manipulate images with PHP.

%description gd -l pl.UTF-8
Moduł PHP umożliwiający korzystanie z biblioteki GD, pozwalającej na
tworzenie i obróbkę obrazków.

%package gettext
Summary:	gettext extension module for PHP
Summary(pl.UTF-8):	Moduł gettext dla PHP
Group:		Libraries
URL:		http://www.php.net/manual/en/book.gettext.php
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(gettext)

%description gettext
This is a dynamic shared object (DSO) for PHP that will add gettext
support.

%description gettext -l pl.UTF-8
Moduł PHP dodający obsługę lokalizacji przez gettext.

%package gmp
Summary:	gmp extension module for PHP
Summary(pl.UTF-8):	Moduł gmp dla PHP
Group:		Libraries
URL:		http://www.php.net/manual/en/book.gmp.php
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(gmp)

%description gmp
This is a dynamic shared object (DSO) for PHP that will add arbitrary
length number support with GNU MP library.

%description gmp -l pl.UTF-8
Moduł PHP umożliwiający korzystanie z biblioteki gmp do obliczeń na
liczbach o dowolnej długości.

%package hash
Summary:	HASH Message Digest Framework
Summary(pl.UTF-8):	Szkielet do obliczania skrótów wiadomości
Group:		Libraries
URL:		http://www.php.net/manual/en/book.gmp.php
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(hash) = %{hashver}
%if %{with mhash}
Provides:	php(mhash)
Provides:	php-mhash = %{epoch}:%{version}-%{release}
Obsoletes:	php-mhash < 4:5.3.0
%endif
Obsoletes:	php-pecl-hash < %{hashver}

%description hash
Native implementations of common message digest algorithms using a
generic factory method.

%description hash -l pl.UTF-8
Natywne implementacje popularnych algorytmów obliczania skrótów
wiadomości przy użyciu wspólnego interfejsu.

%package iconv
Summary:	iconv extension module for PHP
Summary(pl.UTF-8):	Moduł iconv dla PHP
Group:		Libraries
URL:		http://www.php.net/manual/en/book.iconv.php
Requires:	%{_libdir}/gconv
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Requires:	iconv
Provides:	php(iconv)

%description iconv
This is a dynamic shared object (DSO) for PHP that will add iconv
support.

%description iconv -l pl.UTF-8
Moduł PHP dodający obsługę iconv.

%package imap
Summary:	IMAP extension module for PHP
Summary(pl.UTF-8):	Moduł IMAP dla PHP
Summary(pt_BR.UTF-8):	Um módulo para aplicações PHP que usam IMAP
Group:		Libraries
URL:		http://www.php.net/manual/en/book.imap.php
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Requires:	%{name}-pcre = %{epoch}:%{version}-%{release}
Requires:	imap-lib >= 1:2007e-2
Provides:	php(imap)

%description imap
This is a dynamic shared object (DSO) for PHP that will add IMAP
support.

%description imap -l pl.UTF-8
Moduł PHP dodający obsługę skrzynek IMAP.

%description imap -l pt_BR.UTF-8
Um módulo para aplicações PHP que usam IMAP.

%package interbase
Summary:	InterBase/Firebird database module for PHP
Summary(pl.UTF-8):	Moduł bazy danych InterBase/Firebird dla PHP
Group:		Libraries
URL:		http://www.php.net/manual/en/book.ibase.php
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(interbase)
%{?with_interbase_inst:Autoreq:	false}

%description interbase
This is a dynamic shared object (DSO) for PHP that will add InterBase
and Firebird database support.

%description interbase -l pl.UTF-8
Moduł PHP umożliwiający dostęp do baz danych InterBase i Firebird.

%package intl
Summary:	Internationalization extension (ICU wrapper)
Summary(pl.UTF-8):	Rozszerzenie do internacjonalizacji (interfejs do ICU)
Group:		Libraries
URL:		http://www.php.net/intl
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(intl) = %{intlver}
Obsoletes:	php-pecl-intl < %{intlver}

%description intl
Internationalization extension (further is referred as Intl) is a
wrapper for ICU library, enabling PHP programmers to perform
UCA-conformant collation and date/time/number/currency formatting in
their scripts.

%description intl -l pl.UTF-8
Rozszerzenie do internacjonalizacji (dalej nazywane Intl) jest
interfejsem do biblioteki ICU, pozwalającym programistom PHP na
wykonywanie w skryptach porównań zgodnych z UCA oraz formatowania
daty/czasu/walut.

%package json
Summary:	PHP C extension for JSON serialization
Summary(pl.UTF-8):	Rozszerzenie C PHP dla serializacji JSON
Group:		Libraries
URL:		http://www.php.net/manual/en/book.json.php
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(json) = %{jsonver}
Obsoletes:	php-pecl-json < %{jsonver}

%description json
php-json is an extremely fast PHP C extension for JSON (JavaScript
Object Notation) serialisation.

%description json -l pl.UTF-8
php-json to bardzo szybkie rozszerzenie C PHP dla serializacji JSON
(JavaScript Object Notation).

%package ldap
Summary:	LDAP extension module for PHP
Summary(pl.UTF-8):	Moduł LDAP dla PHP
Summary(pt_BR.UTF-8):	Um módulo para aplicações PHP que usam LDAP
Group:		Libraries
URL:		http://www.php.net/manual/en/book.ldap.php
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(ldap)

%description ldap
This is a dynamic shared object (DSO) for PHP that will add LDAP
support.

%description ldap -l pl.UTF-8
Moduł PHP dodający obsługę LDAP.

%description ldap -l pt_BR.UTF-8
Um módulo para aplicações PHP que usam LDAP.

%package mbstring
Summary:	mbstring extension module for PHP
Summary(pl.UTF-8):	Moduł mbstring dla PHP
Group:		Libraries
URL:		http://www.php.net/manual/en/book.mbstring.php
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(mbstring)

%description mbstring
This is a dynamic shared object (DSO) for PHP that will add multibyte
string support.

%description mbstring -l pl.UTF-8
Moduł PHP dodający obsługę ciągów znaków wielobajtowych.

%package mcrypt
Summary:	mcrypt extension module for PHP
Summary(pl.UTF-8):	Moduł mcrypt dla PHP
Group:		Libraries
URL:		http://www.php.net/manual/en/book.mcrypt.php
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(mcrypt)

%description mcrypt
This is a dynamic shared object (DSO) for PHP that will add mcrypt
support.

%description mcrypt -l pl.UTF-8
Moduł PHP dodający możliwość szyfrowania poprzez bibliotekę mcrypt.

%package mssql
Summary:	MS SQL extension module for PHP
Summary(pl.UTF-8):	Moduł MS SQL dla PHP
Group:		Libraries
URL:		http://www.php.net/manual/en/book.mssql.php
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(mssql)

%description mssql
This is a dynamic shared object (DSO) for PHP that will add MS SQL
databases support through FreeTDS library.

%description mssql -l pl.UTF-8
Moduł PHP dodający obsługę baz danych MS SQL poprzez bibliotekę
FreeTDS.

%package mysql
Summary:	MySQL database module for PHP
Summary(pl.UTF-8):	Moduł bazy danych MySQL dla PHP
Summary(pt_BR.UTF-8):	Um módulo para aplicações PHP que usam bancos de dados MySQL
Group:		Libraries
URL:		http://www.php.net/manual/en/book.mysql.php
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
%{?with_mysqlnd:Requires:	%{name}-mysqlnd = %{epoch}:%{version}-%{release}}
Provides:	php(mysql)

%description mysql
This is a dynamic shared object (DSO) for PHP that will add MySQL
database support.

%description mysql -l pl.UTF-8
Moduł PHP umożliwiający dostęp do bazy danych MySQL.

%description mysql -l pt_BR.UTF-8
Um módulo para aplicações PHP que usam bancos de dados MySQL.

%package mysqli
Summary:	MySQLi module for PHP
Summary(pl.UTF-8):	Moduł MySQLi dla PHP
Group:		Libraries
URL:		http://www.php.net/manual/en/book.mysqli.php
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
%{?with_mysqlnd:Requires:	%{name}-mysqlnd = %{epoch}:%{version}-%{release}}
Requires:	%{name}-spl = %{epoch}:%{version}-%{release}
Provides:	php(mysqli)

%description mysqli
This is a dynamic shared object (DSO) for PHP that will add MySQLi
(Improved MySQL) support. The difference between it and mysql module
is that it provides access to functionality of MySQL 4.1 and above.

%description mysqli -l pl.UTF-8
Moduł PHP umożliwiający udoskonalony dostęp do bazy danych MySQL.
Różnicą między nim a modułem mysql jest dostęp do funkcjonalności
MySQL w wersji 4.1 i nowszych.

%package mysqlnd
Summary:	MySQL Native Client Driver for PHP
Summary(pl.UTF-8):	Sterownik natywnego klienta MySQL dla PHP
Group:		Libraries
URL:		http://www.php.net/manual/en/book.mysqlnd.php
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(mysqlnd)

%description mysqlnd
MySQL Native Driver is a replacement for the MySQL Client Library
(libmysql).

Because MySQL Native Driver is written as a PHP extension, it is
tightly coupled to the workings of PHP. This leads to gains in
efficiency, especially when it comes to memory usage, as the driver
uses the PHP memory management system. It also supports the PHP memory
limit. Using MySQL Native Driver leads to comparable or better
performance than using MySQL Client Library, it always ensures the
most efficient use of memory. One example of the memory efficiency is
the fact that when using the MySQL Client Library, each row is stored
in memory twice, whereas with the MySQL Native Driver each row is only
stored once in memory.

%description mysqlnd -l pl.UTF-8
MySQL Native Driver (natywny sterownik MySQL) to zamiennik biblioteki
klienckiej MySQL (libmysql).

Ponieważ sterownik natywny jest napisany jako rozszerzenie PHP, jest
ściśle powiązany z pracą PHP. Daje to większą wydajność, zwłaszcza
jeśli chodzi o wykorzystanie pamięci, jako że sterownik wykorzystuje
system zarządzania pamięcią PHP; obsługuje także ograniczenie pamięci
z PHP. Niniejszy sterownik ma wydajność porównywalną lub lepszą niż
biblioteka kliencka MySQL, a pamięć zawsze wykorzystuje efektywniej.
Przykładem tego może być fakt, że w przypadku biblioteki klienckiej
każdy wiersz jest przechowywany w pamięci dwukrotnie, natomiast przy
tym sterowniku - tylko raz.

%package oci8
Summary:	Oracle 8+ database module for PHP
Summary(pl.UTF-8):	Moduł bazy danych Oracle 8+ dla PHP
Group:		Libraries
URL:		http://www.php.net/manual/en/book.oci8.php
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(oci8)
AutoReq:	false

%description oci8
This is a dynamic shared object (DSO) for PHP that will add Oracle 7,
8, 9 and 10 database support through Oracle8 Call-Interface (OCI8).

%description oci8 -l pl.UTF-8
Moduł PHP umożliwiający dostęp do bazy danych Oracle 7, 8, 9 i 10
poprzez interfejs Oracle8 Call-Interface (OCI8).

%package odbc
Summary:	ODBC extension module for PHP
Summary(pl.UTF-8):	Moduł ODBC dla PHP
Summary(pt_BR.UTF-8):	Um módulo para aplicações PHP que usam bases de dados ODBC
Group:		Libraries
URL:		http://www.php.net/manual/en/book.uodbc.php
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Requires:	unixODBC >= 2.1.1-3
Provides:	php(odbc)

%description odbc
This is a dynamic shared object (DSO) for PHP that will add ODBC
support.

%description odbc -l pl.UTF-8
Moduł PHP ze wsparciem dla ODBC.

%description odbc -l pt_BR.UTF-8
Um módulo para aplicações PHP que usam ODBC.

%package openssl
Summary:	OpenSSL extension module for PHP
Summary(pl.UTF-8):	Moduł OpenSSL dla PHP
Group:		Libraries
URL:		http://www.php.net/manual/en/book.openssl.php
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(openssl)

%description openssl
This is a dynamic shared object (DSO) for PHP that will add OpenSSL
support.

%description openssl -l pl.UTF-8
Moduł PHP umożliwiający korzystanie z biblioteki OpenSSL.

%package pcntl
Summary:	Process Control extension module for PHP
Summary(pl.UTF-8):	Moduł Process Control dla PHP
Group:		Libraries
URL:		http://www.php.net/manual/en/book.pcntl.php
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(pcntl)

%description pcntl
This is a dynamic shared object (DSO) for PHP that will add process
spawning and control support. It supports functions like fork(),
waitpid(), signal() etc.

%description pcntl -l pl.UTF-8
Moduł PHP umożliwiający tworzenie nowych procesów i kontrolę nad nimi.
Obsługuje funkcje takie jak fork(), waitpid(), signal() i podobne.

%package pcre
Summary:	PCRE extension module for PHP
Summary(pl.UTF-8):	Moduł PCRE dla PHP
Group:		Libraries
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(pcre)

%description pcre
This is a dynamic shared object (DSO) for PHP that will add Perl
Compatible Regular Expression support.

%description pcre -l pl.UTF-8
Moduł PHP umożliwiający korzystanie z perlowych wyrażeń regularnych
(Perl Compatible Regular Expressions)

%package pdo
Summary:	PHP Data Objects (PDO)
Summary(pl.UTF-8):	Obsługa PHP Data Objects (PDO)
Group:		Libraries
URL:		http://www.php.net/manual/en/book.pdo.php
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Requires:	%{name}-spl = %{epoch}:%{version}-%{release}
Provides:	php(pdo)
Obsoletes:	php-pecl-PDO

%description pdo
This is a dynamic shared object (DSO) for PHP that will add PDO
support.

%description pdo -l pl.UTF-8
Moduł PHP dodający obsługę PDO (PHP Data Objects).

%package pdo-dblib
Summary:	PHP Data Objects (PDO) FreeTDS support
Summary(pl.UTF-8):	Moduł PHP Data Objects (PDO) z obsługą FreeTDS
Group:		Libraries
URL:		http://www.php.net/manual/en/ref.pdo-dblib.php
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Requires:	%{name}-pdo = %{epoch}:%{version}-%{release}
Provides:	php(dblib)

%description pdo-dblib
This is a dynamic shared object (DSO) for PHP that will add PDO
FreeTDS support.

%description pdo-dblib -l pl.UTF-8
Moduł dla PHP dodający obsługę baz danych FreeTDS za pośrednictwem
interfejsu PDO.

%package pdo-firebird
Summary:	PHP Data Objects (PDO) Firebird support
Summary(pl.UTF-8):	Moduł PHP Data Objects (PDO) z obsługą Firebirda
Group:		Libraries
URL:		http://www.php.net/manual/en/ref.pdo-firebird.php
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Requires:	%{name}-pdo = %{epoch}:%{version}-%{release}
Provides:	php(pdo-firebird)
Obsoletes:	php-pecl-PDO_FIREBIRD

%description pdo-firebird
This is a dynamic shared object (DSO) for PHP that will add PDO
Firebird support.

%description pdo-firebird -l pl.UTF-8
Moduł dla PHP dodający obsługę baz danych Firebird za pośrednictwem
interfejsu PDO.

%package pdo-mysql
Summary:	PHP Data Objects (PDO) MySQL support
Summary(pl.UTF-8):	Moduł PHP Data Objects (PDO) z obsługą MySQL-a
Group:		Libraries
URL:		http://www.php.net/manual/en/ref.pdo-mysql.php
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
%{?with_mysqlnd:Requires:	%{name}-mysqlnd = %{epoch}:%{version}-%{release}}
Requires:	%{name}-pdo = %{epoch}:%{version}-%{release}
Provides:	php(pdo-mysql)
Obsoletes:	php-pecl-PDO_MYSQL

%description pdo-mysql
This is a dynamic shared object (DSO) for PHP that will add PDO MySQL
support.

%description pdo-mysql -l pl.UTF-8
Moduł dla PHP dodający obsługę baz danych MySQL za pośrednictwem
interfejsu PDO.

%package pdo-oci
Summary:	PHP Data Objects (PDO) Oracle support
Summary(pl.UTF-8):	Moduł PHP Data Objects (PDO) z obsługą Oracle'a
Group:		Libraries
URL:		http://www.php.net/manual/en/ref.pdo-oci.php
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Requires:	%{name}-pdo = %{epoch}:%{version}-%{release}
Provides:	php(pdo-oci)
Obsoletes:	php-pecl-PDO_OCI

%description pdo-oci
This is a dynamic shared object (DSO) for PHP that will add PDO Oracle
support.

%description pdo-oci -l pl.UTF-8
Moduł dla PHP dodający obsługę baz danych Oracle za pośrednictwem
interfejsu PDO.

%package pdo-odbc
Summary:	PHP Data Objects (PDO) ODBC support
Summary(pl.UTF-8):	Moduł PHP Data Objects (PDO) z obsługą ODBC
Group:		Libraries
URL:		http://www.php.net/manual/en/ref.pdo-odbc.php
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Requires:	%{name}-pdo = %{epoch}:%{version}-%{release}
Provides:	php(pdo-odbc)
Obsoletes:	php-pecl-PDO_ODBC

%description pdo-odbc
This is a dynamic shared object (DSO) for PHP that will add PDO ODBC
support.

%description pdo-odbc -l pl.UTF-8
Moduł dla PHP dodający obsługę baz danych ODBC za pośrednictwem
interfejsu PDO.

%package pdo-pgsql
Summary:	PHP Data Objects (PDO) PostgreSQL support
Summary(pl.UTF-8):	Moduł PHP Data Objects (PDO) z obsługą PostgreSQL-a
Group:		Libraries
URL:		http://www.php.net/manual/en/ref.pdo-pgsql.php
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Requires:	%{name}-pdo = %{epoch}:%{version}-%{release}
Provides:	php(pdo-pgsql)
Provides:	php-pecl-PDO_PGSQL
Obsoletes:	php-pecl-PDO_PGSQL < 4:5.2.1-2

%description pdo-pgsql
This is a dynamic shared object (DSO) for PHP that will add PDO
PostgreSQL support.

%description pdo-pgsql -l pl.UTF-8
Moduł dla PHP dodający obsługę baz danych PostgreSQL za pośrednictwem
interfejsu PDO.

%package pdo-sqlite
Summary:	PHP Data Objects (PDO) SQLite support
Summary(pl.UTF-8):	Moduł PHP Data Objects (PDO) z obsługą SQLite
Group:		Libraries
URL:		http://www.php.net/manual/en/ref.pdo-sqlite.php
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Requires:	%{name}-pdo = %{epoch}:%{version}-%{release}
Provides:	php(pdo-sqlite)
Obsoletes:	php-pecl-PDO_SQLITE

%description pdo-sqlite
This is a dynamic shared object (DSO) for PHP that will add PDO SQLite
support.

%description pdo-sqlite -l pl.UTF-8
Moduł dla PHP dodający obsługę baz danych SQLite za pośrednictwem
interfejsu PDO.

%package pgsql
Summary:	PostgreSQL database module for PHP
Summary(pl.UTF-8):	Moduł bazy danych PostgreSQL dla PHP
Group:		Libraries
URL:		http://www.php.net/manual/en/book.pgsql.php
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(pgsql)

%description pgsql
This is a dynamic shared object (DSO) for PHP that will add PostgreSQL
database support.

%description pgsql -l pl.UTF-8
Moduł PHP umożliwiający dostęp do bazy danych PostgreSQL.

%description pgsql -l pt_BR.UTF-8
Um módulo para aplicações PHP que usam bancos de dados postgresql.

%package phar
Summary:	phar database module for PHP
Summary(pl.UTF-8):	Moduł phar dla PHP
Group:		Libraries
URL:		http://www.php.net/manual/en/book.phar.php
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Requires:	%{name}-spl = %{epoch}:%{version}-%{release}
# zlib is required by phar program, but as phar cli is optional should the dep be too
Suggests:	%{name}-zlib
Suggests:	php-program
Provides:	php(phar) = %{pharver}
Obsoletes:	php-pecl-phar < %{pharver}

%description phar
This is a dynamic shared object (DSO) for PHP that will add phar
archive a support.

%description phar -l pl.UTF-8
Moduł PHP umożliwiający dostęp do achiwów .phar.

%package posix
Summary:	POSIX extension module for PHP
Summary(pl.UTF-8):	Moduł POSIX dla PHP
Group:		Libraries
URL:		http://www.php.net/manual/en/book.posix.php
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(posix)

%description posix
This is a dynamic shared object (DSO) for PHP that will add POSIX
functions support to PHP.

%description posix -l pl.UTF-8
Moduł PHP umożliwiający korzystanie z funkcji POSIX.

%package pspell
Summary:	pspell extension module for PHP
Summary(pl.UTF-8):	Moduł pspell dla PHP
Group:		Libraries
URL:		http://www.php.net/manual/en/book.pspell.php
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(pspell)

%description pspell
This is a dynamic shared object (DSO) for PHP that will add pspell
support to PHP. It allows to check the spelling of a word and offer
suggestions.

%description pspell -l pl.UTF-8
Moduł PHP umożliwiający korzystanie z pspella. Pozwala on na
sprawdzanie pisowni słowa i sugerowanie poprawek.

%package readline
Summary:	readline extension module for PHP
Summary(pl.UTF-8):	Moduł readline dla PHP
Group:		Libraries
URL:		http://www.php.net/manual/en/book.readline.php
Requires:	%{name}-cli = %{epoch}:%{version}-%{release}
Provides:	php(readline)

%description readline
This PHP module adds support for readline functions (only for cli and
cgi SAPIs).

%description readline -l pl.UTF-8
Moduł PHP dodający obsługę funkcji readline (tylko do SAPI cli i cgi).

%package recode
Summary:	recode extension module for PHP
Summary(pl.UTF-8):	Moduł recode dla PHP
Group:		Libraries
URL:		http://www.php.net/manual/en/book.recode.php
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Requires:	recode >= 3.5d-3
Provides:	php(recode)

%description recode
This is a dynamic shared object (DSO) for PHP that will add recode
support.

%description recode -l pl.UTF-8
Moduł PHP dodający możliwość konwersji kodowania plików (poprzez
bibliotekę recode).

%package session
Summary:	session extension module for PHP
Summary(pl.UTF-8):	Moduł session dla PHP
Group:		Libraries
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Requires:	%{name}-spl = %{epoch}:%{version}-%{release}
Suggests:	%{name}-hash = %{epoch}:%{version}-%{release}
Provides:	php(session)

%description session
This is a dynamic shared object (DSO) for PHP that will add session
support.

%description session -l pl.UTF-8
Moduł PHP dodający obsługę sesji.

%package shmop
Summary:	Shared Memory Operations extension module for PHP
Summary(pl.UTF-8):	Moduł shmop dla PHP
Group:		Libraries
URL:		http://www.php.net/manual/en/book.shmop.php
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(shmop)

%description shmop
This is a dynamic shared object (DSO) for PHP that will add Shared
Memory Operations support.

%description shmop -l pl.UTF-8
Moduł PHP umożliwiający korzystanie z pamięci dzielonej.

%package simplexml
Summary:	Simple XML extension module for PHP
Summary(pl.UTF-8):	Moduł prostego rozszerzenia XML dla PHP
Group:		Libraries
URL:		http://www.php.net/manual/en/book.simplexml.php
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Requires:	%{name}-spl = %{epoch}:%{version}-%{release}
Provides:	php(simplexml)

%description simplexml
This is a dynamic shared object (DSO) for PHP that will add Simple XML
support.

%description simplexml -l pl.UTF-8
Moduł PHP dodający obsługę prostego XML-a.

%package snmp
Summary:	SNMP extension module for PHP
Summary(pl.UTF-8):	Moduł SNMP dla PHP
Group:		Libraries
URL:		http://www.php.net/manual/en/book.snmp.php
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Requires:	%{name}-sockets = %{epoch}:%{version}-%{release}
Provides:	php(snmp)

%description snmp
This is a dynamic shared object (DSO) for PHP that will add SNMP
support.

%description snmp -l pl.UTF-8
Moduł PHP dodający obsługę SNMP.

%package soap
Summary:	soap extension module for PHP
Summary(pl.UTF-8):	Moduł soap dla PHP
Group:		Libraries
URL:		http://www.php.net/manual/en/book.soap.php
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(soap)

%description soap
This is a dynamic shared object (DSO) for PHP that will add SOAP/WSDL
support.

%description soap -l pl.UTF-8
Moduł PHP dodający obsługę SOAP/WSDL.

%package sockets
Summary:	sockets extension module for PHP
Summary(pl.UTF-8):	Moduł socket dla PHP
Group:		Libraries
URL:		http://www.php.net/manual/en/book.sockets.php
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(sockets)

%description sockets
This is a dynamic shared object (DSO) for PHP that will add sockets
support.

%description sockets -l pl.UTF-8
Moduł PHP dodający obsługę gniazdek.

%package spl
Summary:	Standard PHP Library module for PHP
Summary(pl.UTF-8):	Moduł biblioteki standardowej (Standard PHP Library) dla PHP
Group:		Libraries
URL:		http://php.net/manual/en/book.spl.php
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Requires:	%{name}-pcre = %{epoch}:%{version}-%{release}
Requires:	%{name}-simplexml = %{epoch}:%{version}-%{release}
Provides:	php(spl)

%description spl
This is a dynamic shared object (DSO) for PHP that will add Standard
PHP Library support.

%description spl -l pl.UTF-8
Moduł PHP z biblioteką standardową PHP (SPL - Standard PHP Library).

%package sqlite
Summary:	SQLite extension module for PHP
Summary(pl.UTF-8):	Moduł SQLite dla PHP
Group:		Libraries
URL:		http://www.php.net/manual/en/book.sqlite.php
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Requires:	%{name}-pdo = %{epoch}:%{version}-%{release}
Requires:	%{name}-spl = %{epoch}:%{version}-%{release}
Provides:	php(sqlite) = %{sqlitever}
Obsoletes:	php-pecl-SQLite < %{sqlitever}

%description sqlite
SQLite is a C library that implements an embeddable SQL database
engine. Programs that link with the SQLite library can have SQL
database access without running a separate RDBMS process.

SQLite is not a client library used to connect to a big database
server. SQLite is the server. The SQLite library reads and writes
directly to and from the database files on disk.

%description sqlite -l pl.UTF-8
SQLite jest napisaną w C biblioteką implementującą osadzalny silnik
bazodanowy SQL. Program linkujący się z biblioteką SQLite może mieć
dostęp do bazy SQL bez potrzeby uruchamiania dodatkowego procesu
RDBMS.

SQLite to nie klient baz danych - biblioteka nie łączy się z serwerami
baz danych. SQLite sam jest serwerem. Biblioteka SQLite czyta i
zapisuje dane bezpośrednio z/do plików baz danych znajdujących się na
dysku.

%package sqlite3
Summary:	SQLite3 extension module for PHP
Summary(pl.UTF-8):	Moduł SQLite3 dla PHP
Group:		Libraries
URL:		http://php.net/manual/en/book.sqlite3.php
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(sqlite3)

%description sqlite3
SQLite is a C library that implements an embeddable SQL database
engine. Programs that link with the SQLite library can have SQL
database access without running a separate RDBMS process.

SQLite is not a client library used to connect to a big database
server. SQLite is the server. The SQLite library reads and writes
directly to and from the database files on disk.

%description sqlite3 -l pl.UTF-8
SQLite jest napisaną w C biblioteką implementującą osadzalny silnik
bazodanowy SQL. Program linkujący się z biblioteką SQLite może mieć
dostęp do bazy SQL bez potrzeby uruchamiania dodatkowego procesu
RDBMS.

SQLite to nie klient baz danych - biblioteka nie łączy się z serwerami
baz danych. SQLite sam jest serwerem. Biblioteka SQLite czyta i
zapisuje dane bezpośrednio z/do plików baz danych znajdujących się na
dysku.

%package sybase-ct
Summary:	Sybase-CT extension module for PHP
Summary(pl.UTF-8):	Moduł Sybase-CT dla PHP
Group:		Libraries
URL:		http://www.php.net/manual/en/book.sybase.php
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(sybase-ct)
Obsoletes:	php-sybase

%description sybase-ct
This is a dynamic shared object (DSO) for PHP that will add Sybase and
MS SQL databases support through CT-lib.

%description sybase-ct -l pl.UTF-8
Moduł PHP dodający obsługę baz danych Sybase oraz MS SQL poprzez
CT-lib.

%package sysvmsg
Summary:	SysV msg extension module for PHP
Summary(pl.UTF-8):	Moduł SysV msg dla PHP
Group:		Libraries
URL:		http://www.php.net/manual/en/book.sem.php
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(sysvmsg)

%description sysvmsg
This is a dynamic shared object (DSO) for PHP that will add SysV
message queues support.

%description sysvmsg -l pl.UTF-8
Moduł PHP umożliwiający korzystanie z kolejek komunikatów SysV.

%package sysvsem
Summary:	SysV sem extension module for PHP
Summary(pl.UTF-8):	Moduł SysV sem dla PHP
Group:		Libraries
URL:		http://www.php.net/manual/en/book.sem.php
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(sysvsem)

%description sysvsem
This is a dynamic shared object (DSO) for PHP that will add SysV
semaphores support.

%description sysvsem -l pl.UTF-8
Moduł PHP umożliwiający korzystanie z semaforów SysV.

%package sysvshm
Summary:	SysV shm extension module for PHP
Summary(pl.UTF-8):	Moduł SysV shm dla PHP
Group:		Libraries
URL:		http://www.php.net/manual/en/book.shmop.php
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(sysvshm)

%description sysvshm
This is a dynamic shared object (DSO) for PHP that will add SysV
Shared Memory support.

%description sysvshm -l pl.UTF-8
Moduł PHP umożliwiający korzystanie z pamięci dzielonej SysV.

%package tests
Summary:	Contains unit test files for PHP and extensions
Summary(pl.UTF-8):	Zawiera pliki testów jednostkowych dla PHP i rozszerzeń
Group:		Libraries
URL:		http://qa.php.net/
Requires:	%{name}-cli

%description tests
This package contains unit tests for PHP and its extensions.

%description tests -l pl.UTF-8
Ten pakiet zawiera pliki testów jednostkowych dla PHP i rozszerzeń.

%package tidy
Summary:	Tidy extension module for PHP
Summary(pl.UTF-8):	Moduł Tidy dla PHP
Group:		Libraries
URL:		http://www.php.net/manual/en/book.tidy.php
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Requires:	tidy
Provides:	php(tidy)

%description tidy
This is a dynamic shared object (DSO) for PHP that will add Tidy
support.

%description tidy -l pl.UTF-8
Moduł PHP umożliwiający korzystanie z tidy.

%package tokenizer
Summary:	tokenizer extension module for PHP
Summary(pl.UTF-8):	Moduł rozszerzenia tokenizer dla PHP
Group:		Libraries
URL:		http://www.php.net/manual/en/book.tokenizer.php
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(tokenizer)

%description tokenizer
This is a dynamic shared object (DSO) for PHP that will add tokenizer
support.

%description tokenizer -l pl.UTF-8
Moduł PHP dodający obsługę tokenizera do PHP.

%package wddx
Summary:	wddx extension module for PHP
Summary(pl.UTF-8):	Moduł wddx dla PHP
Group:		Libraries
URL:		http://www.php.net/manual/en/book.wddx.php
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
# - wddx doesn't require session as it's disabled at compile time:
#   if HAVE_PHP_SESSION && !defined(COMPILE_DL_SESSION)
#   see also php.spec#rev1.120.2.22
#Requires:	%{name}-session = %{epoch}:%{version}-%{release}
Requires:	%{name}-xml = %{epoch}:%{version}-%{release}
Provides:	php(wddx)

%description wddx
This is a dynamic shared object (DSO) for PHP that will add wddx
support.

%description wddx -l pl.UTF-8
Moduł PHP umożliwiający korzystanie z wddx.

%package xml
Summary:	XML extension module for PHP
Summary(pl.UTF-8):	Moduł XML dla PHP
Group:		Libraries
URL:		http://www.php.net/manual/en/book.xml.php
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(xml)

%description xml
This is a dynamic shared object (DSO) for PHP that will add XML
support. This extension lets you create XML parsers and then define
handlers for different XML events.

%description xml -l pl.UTF-8
Moduł PHP umożliwiający parsowanie plików XML i obsługę zdarzeń
związanych z tymi plikami. Pozwala on tworzyć analizatory XML-a i
następnie definiować procedury obsługi dla różnych zdarzeń XML.

%package xmlreader
Summary:	XML Reader extension module for PHP
Summary(pl.UTF-8):	Moduł XML Reader dla PHP
Group:		Libraries
URL:		http://www.php.net/manual/en/book.xmlreader.php
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Suggests:	%{name}-dom = %{epoch}:%{version}-%{release}
Provides:	php(xmlreader)

%description xmlreader
This is a dynamic shared object (DSO) for PHP that will add XML Reader
support. The XMLReader extension is an XML Pull parser. The reader
acts as a cursor going forward on the document stream and stopping at
each node on the way.

%description xmlreader -l pl.UTF-8
Moduł PHP umożliwiający analizę plików XML w trybie Pull. Czytnik
działa jako kursor przechodzący przez strumień dokumentu i
zatrzymujący się na każdym węźle po drodze.

%package xmlrpc
Summary:	xmlrpc extension module for PHP
Summary(pl.UTF-8):	Moduł xmlrpc dla PHP
Group:		Libraries
URL:		http://www.php.net/manual/en/book.xmlrpc.php
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Requires:	%{name}-xml = %{epoch}:%{version}-%{release}
Provides:	php(xmlrpc)

%description xmlrpc
This is a dynamic shared object (DSO) for PHP that will add XMLRPC
support.

%description xmlrpc -l pl.UTF-8
Moduł PHP dodający obsługę XMLRPC.

%package xmlwriter
Summary:	Fast, non-cached, forward-only means to write XML data
Summary(pl.UTF-8):	Szybka, nie cachowana metoda zapisu danych w formacie XML
Group:		Libraries
URL:		http://www.php.net/manual/en/book.xmlwriter.php
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(xmlwriter)
Obsoletes:	php-pecl-xmlwriter

%description xmlwriter
This extension wraps the libxml xmlWriter API. Represents a writer
that provides a non-cached, forward-only means of generating streams
or files containing XML data.

%description xmlwriter -l pl.UTF-8
To rozszerzenie obudowuje API xmlWriter z libxml. Reprezentuje obsługę
zapisu dostarczającą nie cachowanych metod generowania strumieni lub
plików zawierających dane XML.

%package xsl
Summary:	xsl extension module for PHP
Summary(pl.UTF-8):	Moduł xsl dla PHP
Group:		Libraries
URL:		http://www.php.net/manual/en/book.xsl.php
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Requires:	%{name}-dom = %{epoch}:%{version}-%{release}
Requires:	libxslt >= 1.0.18
# actually not true, functionality is similar, but API differs
Provides:	php(xsl)
Obsoletes:	php-xslt <= 3:4.3.8-1

%description xsl
This is a dynamic shared object (DSO) for PHP that will add new XSL
support (using libxslt).

%description xsl -l pl.UTF-8
Moduł PHP dodający nową obsługę XSLT (przy użyciu libxslt).

%package zip
Summary:	Zip management extension
Summary(pl.UTF-8):	Zarządzanie archiwami zip
Group:		Libraries
URL:		http://www.php.net/manual/en/book.zip.php
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
%{?with_system_libzip:Requires:	libzip >= 0.10-3}
Provides:	php(zip) = %{zipver}
Obsoletes:	php-pecl-zip < %{zipver}

%description zip
Zip is an extension to create, modify and read zip files.

%description zip -l pl.UTF-8
Zip jest rozszerzeniem umożliwiającym tworzenie, modyfikację oraz
odczyt archiwów zip.

%package zlib
Summary:	Zlib extension module for PHP
Summary(pl.UTF-8):	Moduł zlib dla PHP
Group:		Libraries
URL:		http://www.php.net/manual/en/book.zlib.php
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(zlib)

%description zlib
This is a dynamic shared object (DSO) for PHP that will add zlib
compression support to PHP.

%description zlib -l pl.UTF-8
Moduł PHP umożliwiający używanie kompresji zlib.

%prep
%setup -q
# prep for suhosin patch
%{__sed} -i -e 's,\r$,,' Zend/Zend.dsp Zend/ZendTS.dsp
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch8 -p1
%patch7 -p1
%patch9 -p1
cp -p php.ini-production php.ini
%patch10 -p1
%patch11 -p1
%if %{with type_hints}
%patch12 -p0
%endif
%patch14 -p1
%patch15 -p1
%patch17 -p1
%patch18 -p1
%if %{with system_gd}
%patch19 -p1
%endif
%patch20 -p1
%patch21 -p1
%patch22 -p1
%patch23 -p1
%patch24 -p1
%patch25 -p1
%patch26 -p1
%patch27 -p1
%patch29 -p1
%patch31 -p1
%if "%{pld_release}" != "ac"
%patch34 -p1
%endif
%patch35 -p1
%patch36 -p1
%patch37 -p1
%patch38 -p1
%patch39 -p1
%if %{with fpm}
%patch41 -p1
%patch42 -p1
%endif
%patch43 -p1
%patch44 -p1
%patch45 -p1
%patch46 -p1
%if %{with suhosin}
%patch47 -p1
%endif
%patch49 -p1
%patch50 -p1
%patch51 -p1
%patch52 -p1
%patch53 -p1
%undos ext/spl/tests/SplFileInfo_getInode_basic.phpt
%patch55 -p1
%patch59 -p1
%patch60 -p1
%patch62 -p1
%patch63 -p1
%patch64 -p1
%{?with_system_libzip:%patch65 -p1}
%{__rm} -r sapi/litespeed
gzip -dc %{SOURCE15} | tar xf - -C sapi/

sed -i -e '/PHP_ADD_LIBRARY_WITH_PATH/s#xmlrpc,#xmlrpc-epi,#' ext/xmlrpc/config.m4

# cleanup backups after patching
find '(' -name '*~' -o -name '*.orig' ')' -print0 | xargs -0 -r -l512 rm -f

# conflict seems to be resolved by recode patches
%{__rm} ext/recode/config9.m4

# remove all bundled libraries not to link with them accidentally
#%{__rm} -r ext/sqlite/libsqlite
%{__rm} -r ext/sqlite3/libsqlite
#%{__rm} -r ext/bcmath/libbcmath
#%{__rm} -r ext/date/lib
#%{__rm} -r ext/fileinfo/libmagic
#%{__rm} -r ext/dba/libcdb
#%{__rm} -r ext/dba/libflatfile
#%{__rm} -r ext/dba/libinifile
#%{__rm} -r ext/gd/libgd
#%{__rm} -r ext/mbstring/libmbfl
#%{__rm} -r ext/mbstring/oniguruma
%{__rm} -r ext/pcre/pcrelib
#%{__rm} -r ext/soap/interop
%{__rm} -r ext/xmlrpc/libxmlrpc
#%{__rm} -r ext/zip/lib

cp -pf Zend/LICENSE{,.Zend}
install -p %{SOURCE13} dep-tests.sh

# breaks build
sed -i -e 's#-fvisibility=hidden##g' configure*

# disable broken tests
# says just "Terminated" twice and fails
mv sapi/cli/tests/022.phpt{,.broken}

# php-5.3.3/ext/standard/tests/file/statpage.phpt
%{__rm} ext/standard/tests/file/statpage.phpt

# idiotic test, it will fail if somebody else makes space on disk or if disk
# space is not yet allocated (xfs). report upstream to advice bogus test is
# probably pointless.
%{__rm} ext/standard/tests/file/disk_free_space_basic.phpt

sh -xe %{_sourcedir}/skip-tests.sh

%build
API=$(awk '/#define PHP_API_VERSION/{print $3}' main/php.h)
if [ $API != %{php_api_version} ]; then
	echo "Set %%define php_api_version to $API and re-run."
	exit 1
fi

API=$(awk '/#define ZEND_MODULE_API_NO/{print $3}' Zend/zend_modules.h)
if [ $API != %{zend_module_api} ]; then
	echo "Set %%define zend_module_api to $API and re-run."
	exit 1
fi

API=$(awk '/#define ZEND_EXTENSION_API_NO/{print $3}' Zend/zend_extensions.h)
if [ $API != %{zend_extension_api} ]; then
	echo "Set %%define zend_extension_api to $API and re-run."
	exit 1
fi

# Check for some extension version
ver=$(sed -n '/#define PHP_FILEINFO_VERSION /{s/.* "//;s/".*$//;p}' ext/fileinfo/php_fileinfo.h)
if test "$ver" != "%{fileinfover}"; then
	: Error: Upstream FILEINFO version is now ${ver}, expecting %{fileinfover}.
	: Update the fileinfover macro and rebuild.
	exit 1
fi
ver=$(sed -n '/#define PHP_PHAR_VERSION /{s/.* "//;s/".*$//;p}' ext/phar/php_phar.h)
if test "$ver" != "%{pharver}"; then
	: Error: Upstream PHAR version is now ${ver}, expecting %{pharver}.
	: Update the pharver macro and rebuild.
	exit 1
fi
ver=$(sed -n '/#define PHP_ZIP_VERSION_STRING /{s/.* "//;s/".*$//;p}' ext/zip/php_zip.h)
if test "$ver" != "%{zipver}"; then
	: Error: Upstream ZIP version is now ${ver}, expecting %{zipver}.
	: Update the zipver macro and rebuild.
	exit 1
fi
ver=$(sed -n '/#define PHP_JSON_VERSION /{s/.* "//;s/".*$//;p}' ext/json/php_json.h)
if test "$ver" != "%{jsonver}"; then
	: Error: Upstream JSON version is now ${ver}, expecting %{jsonver}.
	: Update the jsonver macro and rebuild.
	exit 1
fi
ver=$(sed -rne 's,.*<version>(.+)</version>,\1,p' ext/bz2/package.xml)
if test "$ver" != "%{bz2ver}"; then
	: Error: Upstream BZIP2 version is now ${ver}, expecting %{bz2ver}.
	: Update the bz2ver macro and rebuild.
	exit 1
fi
ver=$(sed -n '/#define PHP_ENCHANT_VERSION /{s/.* "//;s/".*$//;p}' ext/enchant/php_enchant.h)
if test "$ver" != "%{enchantver}"; then
	: Error: Upstream Enchant version is now ${ver}, expecting %{enchantver}.
	: Update the enchantver macro and rebuild.
	exit 1
fi
ver=$(awk '/#define PHP_HASH_EXTVER/ {print $3}' ext/hash/php_hash.h | xargs)
if test "$ver" != "%{hashver}"; then
	: Error: Upstream HASH version is now ${ver}, expecting %{hashver}.
	: Update the hashver macro and rebuild.
	exit 1
fi
ver=$(sed -n '/#define PHP_INTL_VERSION /{s/.* "//;s/".*$//;p}' ext/intl/php_intl.h)
if test "$ver" != "%{intlver}"; then
	: Error: Upstream Intl version is now ${ver}, expecting %{intlver}.
	: Update the intlver macro and rebuild.
	exit 1
fi
ver=$(awk '/#define PHP_SQLITE_MODULE_VERSION/ {print $3}' ext/sqlite/sqlite.c | xargs)
if test "$ver" != "%{sqlitever}"; then
	: Error: Upstream Sqlite version is now ${ver}, expecting %{sqlitever}.
	: Update the sqlitever macro and rebuild.
	exit 1
fi

export EXTENSION_DIR="%{php_extensiondir}"
# configure once (for faster debugging purposes)
if [ ! -f _built-conf ]; then
	# now remove Makefile copies
	rm -f Makefile.{cgi-fcgi,fpm,cli,apxs1,apxs2,litespeed}
	%{__libtoolize}
	%{__aclocal}
	cp -f /usr/share/automake/config.* .
	./buildconf --force
	touch _built-conf
fi
export PROG_SENDMAIL="/usr/lib/sendmail"
export CPPFLAGS="-DDEBUG_FASTCGI -DHAVE_STRNDUP %{rpmcppflags} \
	-I%{_includedir}/xmlrpc-epi"

sapis="
cli
%if %{with cgi}
cgi-fcgi
%endif
%if %{with litespeed}
litespeed
%endif
%if %{with fpm}
fpm
%endif
%if %{with embed}
embed
%endif
%if %{with apache1}
apxs1
%endif
%if %{with apache2}
apxs2
%endif
"
for sapi in $sapis; do
	: SAPI $sapi
	# skip if already configured (for faster debugging purposes)
	[ -f Makefile.$sapi ] && continue

	sapi_args=''
	case $sapi in
	cgi-fcgi)
		sapi_args='--disable-cli'
	;;
	cli)
		sapi_args='--disable-cgi %{?with_gcov:--enable-gcov}'
	;;
	fpm)
		sapi_args='--disable-cli --enable-fpm'
		;;
	embed)
		sapi_args='--disable-cli --enable-embed'
		;;
	apxs1)
		ver=$(rpm -q --qf '%{V}' apache1-devel)
		sapi_args="--disable-cli --with-apxs=%{apxs1} --with-apache-version=$ver"
	;;
	apxs2)
		ver=$(rpm -q --qf '%{V}' apache-devel)
		sapi_args="--disable-cli --with-apxs2=%{apxs2} --with-apache-version=$ver"
	;;
	litespeed)
		sapi_args='--with-litespeed'
	;;
	esac

	%configure \
	$sapi_args \
%if "%{!?configure_cache:0}%{?configure_cache}" == "0"
	--cache-file=config.cache \
%endif
	--with-libdir=%{_lib} \
	--with-config-file-path=%{_sysconfdir} \
	--with-config-file-scan-dir=%{_sysconfdir}/conf.d \
	--with-exec-dir=%{_bindir} \
	--with-system-tzdata \
	--%{!?debug:dis}%{?debug:en}able-debug \
	%{?with_zts:--enable-maintainer-zts} \
	--enable-inline-optimization \
	--enable-bcmath=shared \
	--enable-calendar=shared \
	--enable-ctype=shared \
	--enable-dba=shared \
	--enable-dom=shared \
	--enable-exif=shared \
	--enable-fileinfo=shared \
	--enable-ftp=shared \
	--enable-gd-native-ttf \
	--enable-intl=shared \
	--enable-libxml \
	--enable-magic-quotes \
	--enable-mbstring=shared,all \
	--enable-mbregex \
	--enable-pcntl=shared \
	--enable-pdo=shared \
	--enable-json=shared \
	--enable-hash=shared \
	--enable-xmlwriter=shared \
%if %{with fpm}
	--with-fpm-user=http \
	--with-fpm-group=http \
%endif
%if %{with mssql} || %{with sybase_ct}
	--with-pdo-dblib=shared \
%endif
%if %{with interbase} && %{without interbase_inst}
	--with-pdo-firebird=shared,/usr \
%endif
	%{?with_mhash:--with-mhash=yes} \
	--with-mysql-sock=/var/lib/mysql/mysql.sock \
	--with-pdo-mysql=shared%{?with_mysqlnd:,mysqlnd} \
	%{?with_oci8:--with-pdo-oci=shared%{?with_instantclient:,instantclient,%{_libdir}}} \
	%{?with_odbc:--with-pdo-odbc=shared,unixODBC,/usr} \
	%{?with_pgsql:--with-pdo-pgsql=shared} \
	%{?with_pdo_sqlite:--with-pdo-sqlite=shared,/usr} \
	--without-libexpat-dir \
	--enable-posix=shared \
	--enable-shared \
	--enable-session=shared \
	--enable-shmop=shared \
	--enable-simplexml=shared \
	--enable-sysvmsg=shared \
	--enable-sysvsem=shared \
	--enable-sysvshm=shared \
	--enable-safe-mode \
	--enable-soap=shared \
	--enable-sockets=shared \
	--enable-tokenizer=shared \
	--enable-ucd-snmp-hack \
	%{?with_wddx:--enable-wddx=shared} \
	--enable-xml=shared \
	--enable-xmlreader=shared \
	--with-bz2=shared \
	%{__with_without curl curl shared} \
	--with-db4 \
	--with-iconv=shared \
	%{?with_enchant:--with-enchant=shared,/usr} \
	--with-freetype-dir=shared \
	--with-gettext=shared \
	--with-gd=shared%{?with_system_gd:,/usr} \
	--with-gdbm \
	--with-gmp=shared \
	%{?with_imap:--with-imap=shared --with-imap-ssl} \
	%{?with_interbase:--with-interbase=shared%{!?with_interbase_inst:,/usr}} \
	--with-jpeg-dir=/usr \
	%{?with_ldap:--with-ldap=shared --with-ldap-sasl} \
	--with-mcrypt=shared \
	%{?with_mm:--with-mm} \
	%{?with_mssql:--with-mssql=shared} \
	%{?with_mysqlnd:--with-mysqlnd=shared} \
	--with-mysql=shared%{?with_mysqlnd:,mysqlnd} \
	%{?with_mysqli:--with-mysqli=shared%{?with_mysqlnd:,mysqlnd}} \
	%{?with_oci8:--with-oci8=shared%{?with_instantclient:,instantclient,%{_libdir}}} \
	%{?with_openssl:--with-openssl=shared} \
	%{?with_kerberos5:--with-kerberos} \
	%{__with_without pcre pcre-regex /usr} \
	%{__enable_disable filter filter shared} \
	--with-pear=%{php_pear_dir} \
	%{__with_without pgsql pgsql shared,/usr} \
	%{__enable_disable phar phar shared} \
	--with-png-dir=/usr \
	%{?with_pspell:--with-pspell=shared} \
	--with-readline=shared \
	%{?with_recode:--with-recode=shared} \
	--with-regex=system \
	%{?with_snmp:--with-snmp=shared} \
	%{?with_sybase_ct:--with-sybase-ct=shared,/usr} \
	%{!?with_sqlite2:--without-sqlite}%{?with_sqlite2:--with-sqlite=shared,/usr --enable-sqlite-utf8} \
	%{!?with_pdo_sqlite:--without-pdo-sqlite} \
	%{__with_without sqlite3 sqlite3 shared,/usr} \
	--with-t1lib=shared \
	%{?with_tidy:--with-tidy=shared} \
	%{?with_odbc:--with-unixODBC=shared,/usr} \
	%{__with_without xmlrpc xmlrpc shared,/usr} \
	--with-xsl=shared \
	--with-zlib=shared \
	--with-zlib-dir=shared,/usr \
	%{?with_system_libzip:--with-libzip} \
	--enable-zip=shared,/usr \

	# save for debug
	cp -f Makefile Makefile.$sapi
	cp -f main/php_config.h php_config.h.$sapi
	cp -f config.log config.log.$sapi
done

# as we build each SAPI in own make, adjust php-config.in forehead
sapis=$(awk '/^PHP_SAPI = /{print $3}' Makefile.* | sort -u | xargs)
sed -i -e "s,@PHP_INSTALLED_SAPIS@,$sapis," "scripts/php-config.in"

# must make libphp_common first, so modules can link against it.
cp -af php_config.h.cli main/php_config.h
cp -af Makefile.cli Makefile
%{__make} libphp_common.la
%{__make} build-modules

%if %{with apache1}
%{__make} libtool-sapi LIBTOOL_SAPI=sapi/apache/libphp5.la -f Makefile.apxs1
%endif

%if %{with apache2}
%{__make} libtool-sapi LIBTOOL_SAPI=sapi/apache2handler/libphp5.la -f Makefile.apxs2
%endif

%if %{with litespeed}
%{__make} -f Makefile.litespeed
%endif

# CGI/FCGI
%if %{with cgi}
cp -pf php_config.h.cgi-fcgi main/php_config.h
%{__make} -f Makefile.cgi-fcgi
[ "$(echo '<?=php_sapi_name();' | ./sapi/cgi/php-cgi -qn)" = cgi-fcgi ] || exit 1
%endif

# PHP FPM
%if %{with fpm}
cp -pf php_config.h.fpm main/php_config.h
%{__make} -f Makefile.fpm
 ./sapi/fpm/php-fpm -qn -m > /dev/null
%endif

# CLI
cp -pf php_config.h.cli main/php_config.h
%{__make} -f Makefile.cli
[ "$(echo '<?=php_sapi_name();' | ./sapi/cli/php -qn)" = cli ] || exit 1

# check for stupid xml parse breakage where &lt; and &gt; just get lost in parse result
./sapi/cli/php -n -dextension_dir=modules -dextension=xml.so -r '$p = xml_parser_create(); xml_parse_into_struct($p, "<x>&lt;</x>", $vals, $index); exit((int )empty($vals[0]["value"]));'

# Generate stub .ini files for each extension
rm -rf conf.d
install -d conf.d
generate_inifiles() {
	for so in modules/*.so; do
		mod=$(basename $so .so)
		conf="$mod.ini"
		# xml needs to be loaded before wddx
		[ "$mod" = "wddx" ] && conf="xml_$mod.ini"
		# pre needs to be loaded before SPL
		[ "$mod" = "pcre" ] && conf="PCRE.ini"
		# spl needs to be loaded before mysqli
		[ "$mod" = "spl" ] && conf="SPL.ini"
		# session needs to be loaded before php-pecl-http, php-pecl-memcache, php-pecl-session_mysql
		[ "$mod" = "session" ] && conf="Session.ini"
		# mysqlnd needs to be loaded before mysql,mysqli,pdo_mysqli
		[ "$mod" = "mysqlnd" ] && conf="MySQLND.ini"
		echo "+ $conf"
		cat > conf.d/$conf <<-EOF
			; Enable $mod extension module
			extension=$mod.so
		EOF
	done
}
generate_inifiles

# Check that the module inner-dependencies are intact
PHP=./sapi/cli/php EXTENSION_DIR=modules CONFIG_DIR=conf.d ./dep-tests.sh > dep-tests.log
if grep -v OK dep-tests.log; then
	echo >&2 "The results above were not expected"
	exit 1
fi

%if %{with gcov}
# Use CLI SAPI
cp -pf php_config.h.cli main/php_config.h
cp -pf Makefile.cli Makefile
%{__make} lcov
# you really don't want to package result of gcov build
exit 1
%endif

%if %{with tests}
# Run tests, using the CLI SAPI
cp -pf php_config.h.cli main/php_config.h
cp -pf Makefile.cli Makefile

cat <<'EOF' > run-tests.sh
#!/bin/sh
export NO_INTERACTION=1 REPORT_EXIT_STATUS=1 MALLOC_CHECK_=2
unset TZ LANG LC_ALL || :
%{__make} test \
	EXTENSION_DIR=modules \
	PHP_TEST_SHARED_SYSTEM_EXTENSIONS= \
	RUN_TESTS_SETTINGS="-q $*"
EOF
chmod +x run-tests.sh
./run-tests.sh -w failed.log -s test.log

# collect failed tests into cleanup script used in prep.
sed -ne '/FAILED TEST SUMMARY/,/^===/p' test.log | sed -e '1,/^---/d;/^===/,$d' > tests-failed.log
sed -ne '/\[.*\]/{s/\(.*\) \[\(.*\)\]/# \1\nmv \2{,.skip}/p}' tests-failed.log \
	>> %{_sourcedir}/skip-tests.sh

failed=$(wc -l < tests-failed.log)
if [ "$failed" != 0 ]; then
	exit 1
fi
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_libdir}/{php,apache{,1}},%{_sysconfdir}/{apache,cgi}} \
	$RPM_BUILD_ROOT{%{_sbindir},%{_bindir}} \
	$RPM_BUILD_ROOT/etc/{apache/conf.d,httpd/conf.d} \
	$RPM_BUILD_ROOT%{_mandir}/man{1,8} \

cp -pf php_config.h.cli main/php_config.h
cp -pf Makefile.cli Makefile
%{__make} install \
	INSTALL_ROOT=$RPM_BUILD_ROOT

# make link relative
ln -sfn phar.phar $RPM_BUILD_ROOT%{_bindir}/phar

# install Apache1 DSO module
%if %{with apache1}
libtool --mode=install install -p sapi/apache/libphp5.la $RPM_BUILD_ROOT%{_libdir}/apache1
%endif

# install Apache2 DSO module
%if %{with apache2}
libtool --mode=install install -p sapi/apache2handler/libphp5.la $RPM_BUILD_ROOT%{_libdir}/apache
%endif

# install litespeed sapi
%if %{with litespeed}
libtool --mode=install install -p sapi/litespeed/php $RPM_BUILD_ROOT%{_sbindir}/php.litespeed
%endif

libtool --mode=install install -p libphp_common.la $RPM_BUILD_ROOT%{_libdir}

# install CGI/FCGI
%if %{with cgi}
# install-cgi
libtool --mode=install install -p sapi/cgi/php-cgi $RPM_BUILD_ROOT%{_bindir}/php.cgi
ln -sf php.cgi $RPM_BUILD_ROOT%{_bindir}/php.fcgi
cp -p %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/php-cgi-fcgi.ini
%endif

# install FCGI PM
%if %{with fpm}
%{__make} -f Makefile.fpm install-fpm \
	INSTALL_ROOT=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT{/etc/rc.d/init.d,%{_sysconfdir}/fpm.d}
install -p %{SOURCE10} $RPM_BUILD_ROOT/etc/rc.d/init.d/php-fpm
install -d $RPM_BUILD_ROOT/etc/logrotate.d
cp -p %{SOURCE11} $RPM_BUILD_ROOT/etc/logrotate.d/php-fpm
%endif

# install Embedded API
%if %{with embed}
%{__make} -f Makefile.embed install-sapi INSTALL_ROOT=$RPM_BUILD_ROOT
# we could use install-headers from Makefile.embed, but that would reinstall all headers
install -d $RPM_BUILD_ROOT%{_includedir}/php/sapi/embed
cp -p sapi/embed/php_embed.h $RPM_BUILD_ROOT%{_includedir}/php/sapi/embed
%endif

# install CLI
libtool --mode=install install -p sapi/cli/php $RPM_BUILD_ROOT%{_bindir}/php.cli
cp -p sapi/cli/php.1 $RPM_BUILD_ROOT%{_mandir}/man1/php.1
echo ".so php.1" >$RPM_BUILD_ROOT%{_mandir}/man1/php.cli.1
ln -sf php.cli $RPM_BUILD_ROOT%{_bindir}/php

sed -e 's#%{_prefix}/lib/php#%{_libdir}/php#g' php.ini > $RPM_BUILD_ROOT%{_sysconfdir}/php.ini

cp -p %{SOURCE5} $RPM_BUILD_ROOT%{_sysconfdir}/php-cli.ini
cp -p %{SOURCE9} $RPM_BUILD_ROOT%{_sysconfdir}/browscap.ini

%if %{with apache1}
cp -p %{SOURCE2} $RPM_BUILD_ROOT/etc/apache/conf.d/70_mod_php.conf
cp -p %{SOURCE4} $RPM_BUILD_ROOT%{_sysconfdir}/php-apache.ini
%{__rm} -f $RPM_BUILD_ROOT%{_libdir}/apache1/libphp5.la
%endif

%if %{with apache2}
cp -p %{SOURCE2} $RPM_BUILD_ROOT/etc/httpd/conf.d/70_mod_php.conf
cp -p %{SOURCE4} $RPM_BUILD_ROOT%{_sysconfdir}/php-apache2handler.ini
%{__rm} -f $RPM_BUILD_ROOT%{_libdir}/apache/libphp5.la
%endif

install -d $RPM_BUILD_ROOT%{_sysconfdir}/conf.d
cp -p conf.d/*.ini $RPM_BUILD_ROOT%{_sysconfdir}/conf.d

# per SAPI ini directories
install -d $RPM_BUILD_ROOT%{_sysconfdir}/{cgi-fcgi,cli,apache,apache2handler}.d

# for CLI SAPI only
mv $RPM_BUILD_ROOT%{_sysconfdir}/{conf.d/readline.ini,cli.d}

# use system automake and {lib,sh}tool
%if "%{pld_release}" != "ac"
	ln -snf /usr/share/automake/config.{guess,sub} $RPM_BUILD_ROOT%{_libdir}/php/build
	for i in libtool.m4 lt~obsolete.m4 ltoptions.m4 ltsugar.m4 ltversion.m4; do
		ln -snf %{_aclocaldir}/${i} $RPM_BUILD_ROOT%{_libdir}/php/build
	done
	ln -snf %{_datadir}/libtool/config/ltmain.sh $RPM_BUILD_ROOT%{_libdir}/php/build
%else
	ln -snf %{_aclocaldir}/libtool.m4 $RPM_BUILD_ROOT%{_libdir}/php/build
	ln -snf %{_datadir}/libtool/ltmain.sh $RPM_BUILD_ROOT%{_libdir}/php/build
%endif
ln -snf %{_bindir}/shtool $RPM_BUILD_ROOT%{_libdir}/php/build

# for php-pecl-mailparse
install -d $RPM_BUILD_ROOT%{_includedir}/php/ext/mbstring
cp -p ext/mbstring/libmbfl/mbfl/*.h $RPM_BUILD_ROOT%{_includedir}/php/ext/mbstring

# tests
install -d $RPM_BUILD_ROOT%{php_data_dir}/tests/php
install -p run-tests.php $RPM_BUILD_ROOT%{php_data_dir}/tests/php/run-tests.php
cp -a tests/* $RPM_BUILD_ROOT%{php_data_dir}/tests/php

# fix install paths, avoid evil rpaths
sed -i -e "s|^libdir=.*|libdir='%{_libdir}'|" $RPM_BUILD_ROOT%{_libdir}/libphp_common.la
%if %{with embed}
# libphp5.la contains our buildroot in dependency_libs
sed -i -e "/dependency_libs/ s,/[^ ]*/libs/libphp_common.la,%{_libdir}/libphp_common.la," $RPM_BUILD_ROOT%{_libdir}/libphp5.la
%endif
# better solution?
sed -i -e 's|libphp_common.la|$(libdir)/libphp_common.la|' $RPM_BUILD_ROOT%{_libdir}/php/build/acinclude.m4

%clean
rm -rf $RPM_BUILD_ROOT

%post -n apache1-mod_php
if [ "$1" = "1" ]; then
	%service -q apache restart
fi

%postun -n apache1-mod_php
if [ "$1" = "0" ]; then
	%service -q apache restart
fi

%post -n apache-mod_php
if [ "$1" = "1" ]; then
	%service -q httpd restart
fi

%postun -n apache-mod_php
if [ "$1" = "0" ]; then
	%service -q httpd restart
fi

%pre fpm
%useradd -u 51 -r -s /bin/false -c "HTTP User" -g http http

%post fpm
/sbin/chkconfig --add php-fpm
%service php-fpm restart

%preun fpm
if [ "$1" = 0 ]; then
	%service php-fpm stop
	/sbin/chkconfig --del php-fpm
fi

%postun fpm
if [ "$1" = "0" ]; then
	%userremove http
fi

%post	embedded -p /sbin/ldconfig
%postun	embedded -p /sbin/ldconfig

%post common
# PHP 5.3 requires timezone being setup, try setup it from tzdata
if ! grep -q '^date.timezone[[:space:]]*=' %{_sysconfdir}/php.ini && [ -f /etc/sysconfig/timezone ]; then
	TIMEZONE=
	. /etc/sysconfig/timezone
	if [ "$TIMEZONE" ]; then
		%{__sed} -i -e "s,^;date.timezone[[:space:]]*=.*,date.timezone = $TIMEZONE," %{_sysconfdir}/php.ini
	fi
fi

%posttrans common
# minimizing apache restarts logics. we restart webserver:
#
# 1. at the end of transaction. (posttrans, feature from rpm 4.4.2)
# 2. first install of extension (post: $1 = 1)
# 2. uninstall of extension (postun: $1 == 0)
#
# the strict internal deps between extensions (and apache modules) and
# common package are very important for all this to work.

# restart webserver at the end of transaction
[ ! -f /etc/apache/conf.d/??_mod_php.conf ] || %service -q apache restart
[ ! -f /etc/httpd/conf.d/??_mod_php.conf ] || %service -q httpd restart

%if %{with apache1}
%triggerpostun -n apache1-mod_php -- php < 4:5.0.4-9.11
sed -i -e '
	/^AddType application\/x-httpd-php \.php/s,^,#,
	/^\(Add\|Load\)Module.*php5\.\(so\|c\)/d
' /etc/apache/apache.conf
%service -q apache restart
%endif

%if %{with apache2}
%triggerpostun -n apache-mod_php -- php < 4:5.0.4-7.1
# for fixed php-SAPI.ini, the poor php-apache.ini was never read for apache2
if [ -f %{_sysconfdir}/php-apache.ini.rpmsave ]; then
	cp -f %{_sysconfdir}/php-apache2handler.ini{,.rpmnew}
	mv -f %{_sysconfdir}/php-apache.ini.rpmsave %{_sysconfdir}/php-apache2handler.ini
fi
%endif

# common macros called at extension post/postun scriptlet
%define	extension_scripts() \
%post %1 \
if [ "$1" = "1" ]; then \
	%php_webserver_restart \
fi \
\
%postun %1 \
if [ "$1" = "0" ]; then \
	%php_webserver_restart \
fi
%{nil}

# extension scripts defines
%extension_scripts bcmath
%extension_scripts bz2
%extension_scripts calendar
%extension_scripts ctype
%extension_scripts curl
%extension_scripts dba
%extension_scripts dom
%extension_scripts enchant
%extension_scripts exif
%extension_scripts fileinfo
%extension_scripts filter
%extension_scripts ftp
%extension_scripts gd
%extension_scripts gettext
%extension_scripts gmp
%extension_scripts hash
%extension_scripts iconv
%extension_scripts imap
%extension_scripts interbase
%extension_scripts intl
%extension_scripts json
%extension_scripts ldap
%extension_scripts mbstring
%extension_scripts mcrypt
%extension_scripts mssql
%extension_scripts mysql
%extension_scripts mysqli
%extension_scripts mysqlnd
%extension_scripts oci8
%extension_scripts odbc
%extension_scripts openssl
%extension_scripts pcre
%extension_scripts pdo-dblib
%extension_scripts pdo-firebird
%extension_scripts pdo-mysql
%extension_scripts pdo-odbc
%extension_scripts pdo-pgsql
%extension_scripts pdo-sqlite
%extension_scripts pgsql
%extension_scripts phar
%extension_scripts posix
%extension_scripts pspell
%extension_scripts recode
%extension_scripts session
%extension_scripts shmop
%extension_scripts snmp
%extension_scripts soap
%extension_scripts sockets
%extension_scripts spl
%extension_scripts sqlite
%extension_scripts sqlite3
%extension_scripts sybase-ct
%extension_scripts sysvmsg
%extension_scripts sysvsem
%extension_scripts sysvshm
%extension_scripts tidy
%extension_scripts tokenizer
%extension_scripts wddx
%extension_scripts xml
%extension_scripts xmlreader
%extension_scripts xmlrpc
%extension_scripts xmlwriter
%extension_scripts xsl
%extension_scripts zip
%extension_scripts zlib

%triggerun bcmath -- %{name}-bcmath < 4:5.0.4-9.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*bcmath\.so/d' %{_sysconfdir}/php.ini

%triggerun calendar -- %{name}-calendar < 4:5.0.4-9.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*calendar\.so/d' %{_sysconfdir}/php.ini

%triggerun ctype -- %{name}-ctype < 4:5.0.4-9.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*ctype\.so/d' %{_sysconfdir}/php.ini

%triggerun curl -- %{name}-curl < 4:5.0.4-9.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*curl\.so/d' %{_sysconfdir}/php.ini

%triggerun dba -- %{name}-dba < 4:5.0.4-9.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*dba\.so/d' %{_sysconfdir}/php.ini

%triggerun dom -- %{name}-dom < 4:5.0.4-9.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*dom\.so/d' %{_sysconfdir}/php.ini

%triggerun exif -- %{name}-exif < 4:5.0.4-9.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*exif\.so/d' %{_sysconfdir}/php.ini

%triggerun ftp -- %{name}-ftp < 4:5.0.4-9.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*ftp\.so/d' %{_sysconfdir}/php.ini

%triggerun gd -- %{name}-gd < 4:5.0.4-9.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*gd\.so/d' %{_sysconfdir}/php.ini

%triggerun gettext -- %{name}-gettext < 4:5.0.4-9.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*gettext\.so/d' %{_sysconfdir}/php.ini

%triggerun gmp -- %{name}-gmp < 4:5.0.4-9.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*gmp\.so/d' %{_sysconfdir}/php.ini

%triggerun iconv -- %{name}-iconv < 4:5.0.4-9.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*iconv\.so/d' %{_sysconfdir}/php.ini

%triggerun imap -- %{name}-imap < 4:5.0.4-9.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*imap\.so/d' %{_sysconfdir}/php.ini

%triggerun interbase -- %{name}-interbase < 4:5.0.4-9.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*interbase\.so/d' %{_sysconfdir}/php.ini

%triggerun ldap -- %{name}-ldap < 4:5.0.4-9.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*ldap\.so/d' %{_sysconfdir}/php.ini

%triggerun mbstring -- %{name}-mbstring < 4:5.0.4-9.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*mbstring\.so/d' %{_sysconfdir}/php.ini

%triggerun mcrypt -- %{name}-mcrypt < 4:5.0.4-9.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*mcrypt\.so/d' %{_sysconfdir}/php.ini

%triggerun mssql -- %{name}-mssql < 4:5.0.4-9.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*mssql\.so/d' %{_sysconfdir}/php.ini

%triggerun mysql -- %{name}-mysql < 4:5.0.4-9.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*mysql\.so/d' %{_sysconfdir}/php.ini

%triggerun mysqli -- %{name}-mysqli < 4:5.0.4-9.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*mysqli\.so/d' %{_sysconfdir}/php.ini

%triggerun oci8 -- %{name}-oci8 < 4:5.0.4-9.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*oci8\.so/d' %{_sysconfdir}/php.ini

%triggerun odbc -- %{name}-odbc < 4:5.0.4-9.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*odbc\.so/d' %{_sysconfdir}/php.ini

%triggerun openssl -- %{name}-openssl < 4:5.0.4-9.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*openssl\.so/d' %{_sysconfdir}/php.ini

%triggerun pcntl -- %{name}-pcntl < 4:5.1.2-9.5
if [ -f %{_sysconfdir}/php-cgi.ini ]; then
	%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*pcntl\.so/d' %{_sysconfdir}/php-cgi.ini
fi
if [ -f %{_sysconfdir}/php-cli.ini ]; then
	%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*pcntl\.so/d' %{_sysconfdir}/php-cli.ini
fi

%triggerun pcre -- %{name}-pcre < 4:5.0.4-9.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*pcre\.so/d' %{_sysconfdir}/php.ini

%triggerun pgsql -- %{name}-pgsql < 4:5.0.4-9.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*pgsql\.so/d' %{_sysconfdir}/php.ini

%triggerun posix -- %{name}-posix < 4:5.0.4-9.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*posix\.so/d' %{_sysconfdir}/php.ini

%triggerun pspell -- %{name}-pspell < 4:5.0.4-9.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*pspell\.so/d' %{_sysconfdir}/php.ini

%triggerun readline -- %{name}-readline < 4:5.1.2-9.5
if [ -f %{_sysconfdir}/php-cgi.ini ]; then
	%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*readline\.so/d' %{_sysconfdir}/php-cgi.ini
fi
if [ -f %{_sysconfdir}/php-cli.ini ]; then
	%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*readline\.so/d' %{_sysconfdir}/php-cli.ini
fi

%triggerun recode -- %{name}-recode < 4:5.0.4-9.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*recode\.so/d' %{_sysconfdir}/php.ini

%triggerun session -- %{name}-session < 4:5.0.4-9.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*session\.so/d' %{_sysconfdir}/php.ini

%triggerun shmop -- %{name}-shmop < 4:5.0.4-9.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*shmop\.so/d' %{_sysconfdir}/php.ini

%triggerun snmp -- %{name}-snmp < 4:5.0.4-9.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*snmp\.so/d' %{_sysconfdir}/php.ini

%triggerun soap -- %{name}-soap < 4:5.0.4-9.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*soap\.so/d' %{_sysconfdir}/php.ini

%triggerun sockets -- %{name}-sockets < 4:5.0.4-9.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*sockets\.so/d' %{_sysconfdir}/php.ini

%triggerun sqlite -- %{name}-sqlite < 4:5.0.4-9.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*sqlite\.so/d' %{_sysconfdir}/php.ini

%triggerun sybase-ct -- %{name}-sybase-ct < 4:5.0.4-9.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*sybase-ct\.so/d' %{_sysconfdir}/php.ini

%triggerun sysvmsg -- %{name}-sysvmsg < 4:5.0.4-9.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*sysvmsg\.so/d' %{_sysconfdir}/php.ini

%triggerun sysvsem -- %{name}-sysvsem < 4:5.0.4-9.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*sysvsem\.so/d' %{_sysconfdir}/php.ini

%triggerun sysvshm -- %{name}-sysvshm < 4:5.0.4-9.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*sysvshm\.so/d' %{_sysconfdir}/php.ini

%triggerun tidy -- %{name}-tidy < 4:5.0.4-9.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*tidy\.so/d' %{_sysconfdir}/php.ini

%triggerun wddx -- %{name}-wddx < 4:5.0.4-9.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*wddx\.so/d' %{_sysconfdir}/php.ini

%triggerun xml -- %{name}-xml < 4:5.0.4-9.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*xml\.so/d' %{_sysconfdir}/php.ini

%triggerun xmlrpc -- %{name}-xmlrpc < 4:5.0.4-9.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*xmlrpc\.so/d' %{_sysconfdir}/php.ini

%triggerun xsl -- %{name}-xsl < 4:5.0.4-9.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*xsl\.so/d' %{_sysconfdir}/php.ini

%triggerun zlib -- %{name}-zlib < 4:5.0.4-9.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*zlib\.so/d' %{_sysconfdir}/php.ini

%if %{with apache1}
%files -n apache1-mod_php
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/apache/conf.d/*_mod_php.conf
%dir %{_sysconfdir}/apache.d
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/php-apache.ini
%attr(755,root,root) %{_libdir}/apache1/libphp5.so
%endif

%if %{with apache2}
%files -n apache-mod_php
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/httpd/conf.d/*_mod_php.conf
%dir %{_sysconfdir}/apache2handler.d
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/php-apache2handler.ini
%attr(755,root,root) %{_libdir}/apache/libphp5.so
%endif

%if %{with litespeed}
%files litespeed
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/php.litespeed
%endif

%if %{with cgi}
%files cgi
%defattr(644,root,root,755)
%dir %{_sysconfdir}/cgi-fcgi.d
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/php-cgi-fcgi.ini
%attr(755,root,root) %{_bindir}/php.cgi
%attr(755,root,root) %{_bindir}/php.fcgi
%endif

%if %{with embed}
%files embedded
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libphp5-%{version}.so
%endif

%files cli
%defattr(644,root,root,755)
%dir %{_sysconfdir}/cli.d
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/php-cli.ini
%attr(755,root,root) %{_bindir}/php.cli
%{_mandir}/man1/php.1*
%{_mandir}/man1/php.cli.1*

%files program
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/php

%if %{with fpm}
%files fpm
%defattr(644,root,root,755)
%doc sapi/fpm/{CREDITS,LICENSE}
%dir %{_sysconfdir}/fpm.d
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/php-fpm.conf
%attr(755,root,root) %{_sbindir}/php-fpm
%{_mandir}/man8/php-fpm.8*
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/logrotate.d/php-fpm
%attr(754,root,root) /etc/rc.d/init.d/php-fpm
%dir %{_datadir}/fpm
%{_datadir}/fpm/status.html
%endif

%files common
%defattr(644,root,root,755)
%doc CREDITS EXTENSIONS LICENSE NEWS README.{PHP4-TO-PHP5-THIN-CHANGES,namespaces} TODO* UPGRADING* Zend/{LICENSE.Zend,ZEND_CHANGES} php.ini-*
%dir %{_sysconfdir}
%dir %{_sysconfdir}/conf.d
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/php.ini
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/browscap.ini
%attr(755,root,root) %{_libdir}/libphp_common-*.so
%dir %{php_extensiondir}

%doc ext/session/mod_files.sh

%files devel
%defattr(644,root,root,755)
%doc CODING_STANDARDS README.{EXTENSIONS,EXT_SKEL,PARAMETER_PARSING_API,SELF-CONTAINED-EXTENSIONS,STREAMS,SUBMITTING_PATCH,TESTING,TESTING2,UNIX-BUILD-SYSTEM,input_filter}
%attr(755,root,root) %{_bindir}/phpize
%attr(755,root,root) %{_bindir}/php-config
%attr(755,root,root) %{_libdir}/libphp_common.so
%{_libdir}/libphp_common.la
%{_includedir}/php
%{_libdir}/php/build
%{_mandir}/man1/php-config.1*
%{_mandir}/man1/phpize.1*
%if %{with embed}
# embedded
%{_libdir}/libphp5.so
%{_libdir}/libphp5.la
%endif

%files bcmath
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/bcmath.ini
%attr(755,root,root) %{php_extensiondir}/bcmath.so

%files bz2
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/bz2.ini
%attr(755,root,root) %{php_extensiondir}/bz2.so

%files calendar
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/calendar.ini
%attr(755,root,root) %{php_extensiondir}/calendar.so

%files ctype
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/ctype.ini
%attr(755,root,root) %{php_extensiondir}/ctype.so

%if %{with curl}
%files curl
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/curl.ini
%attr(755,root,root) %{php_extensiondir}/curl.so
%endif

%files dba
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/dba.ini
%attr(755,root,root) %{php_extensiondir}/dba.so

%files dom
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/dom.ini
%attr(755,root,root) %{php_extensiondir}/dom.so

%files enchant
%defattr(644,root,root,755)
%doc ext/enchant/{CREDITS,docs/examples}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/enchant.ini
%attr(755,root,root) %{php_extensiondir}/enchant.so

%files exif
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/exif.ini
%attr(755,root,root) %{php_extensiondir}/exif.so

%files fileinfo
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/fileinfo.ini
%attr(755,root,root) %{php_extensiondir}/fileinfo.so

%if %{with filter}
%files filter
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/filter.ini
%attr(755,root,root) %{php_extensiondir}/filter.so
%endif

%files ftp
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/ftp.ini
%attr(755,root,root) %{php_extensiondir}/ftp.so

%files gd
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/gd.ini
%attr(755,root,root) %{php_extensiondir}/gd.so

%files gettext
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/gettext.ini
%attr(755,root,root) %{php_extensiondir}/gettext.so

%files gmp
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/gmp.ini
%attr(755,root,root) %{php_extensiondir}/gmp.so

%files hash
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/hash.ini
%attr(755,root,root) %{php_extensiondir}/hash.so

%files iconv
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/iconv.ini
%attr(755,root,root) %{php_extensiondir}/iconv.so

%if %{with imap}
%files imap
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/imap.ini
%attr(755,root,root) %{php_extensiondir}/imap.so
%endif

%if %{with interbase}
%files interbase
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/interbase.ini
%attr(755,root,root) %{php_extensiondir}/interbase.so
%endif

%files intl
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/intl.ini
%attr(755,root,root) %{php_extensiondir}/intl.so

%files json
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/json.ini
%attr(755,root,root) %{php_extensiondir}/json.so

%if %{with ldap}
%files ldap
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/ldap.ini
%attr(755,root,root) %{php_extensiondir}/ldap.so
%endif

%files mbstring
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/mbstring.ini
%attr(755,root,root) %{php_extensiondir}/mbstring.so

%files mcrypt
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/mcrypt.ini
%attr(755,root,root) %{php_extensiondir}/mcrypt.so

%if %{with mssql}
%files mssql
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/mssql.ini
%attr(755,root,root) %{php_extensiondir}/mssql.so
%endif

%files mysql
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/mysql.ini
%attr(755,root,root) %{php_extensiondir}/mysql.so

%if %{with mysqli}
%files mysqli
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/mysqli.ini
%attr(755,root,root) %{php_extensiondir}/mysqli.so
%endif

%if %{with mysqlnd}
%files mysqlnd
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/MySQLND.ini
%attr(755,root,root) %{php_extensiondir}/mysqlnd.so
%endif

%if %{with oci8}
%files oci8
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/oci8.ini
%attr(755,root,root) %{php_extensiondir}/oci8.so
%endif

%if %{with odbc}
%files odbc
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/odbc.ini
%attr(755,root,root) %{php_extensiondir}/odbc.so
%endif

%if %{with openssl}
%files openssl
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/openssl.ini
%attr(755,root,root) %{php_extensiondir}/openssl.so
%endif

%files pcntl
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/pcntl.ini
%attr(755,root,root) %{php_extensiondir}/pcntl.so

%if %{with pcre}
%files pcre
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/PCRE.ini
%attr(755,root,root) %{php_extensiondir}/pcre.so
%endif

%files pdo
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/pdo.ini
%attr(755,root,root) %{php_extensiondir}/pdo.so

%if %{with mssql} || %{with sybase_ct}
%files pdo-dblib
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/pdo_dblib.ini
%attr(755,root,root) %{php_extensiondir}/pdo_dblib.so
%endif

%if %{with interbase} && !%{with interbase_inst}
%files pdo-firebird
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/pdo_firebird.ini
%attr(755,root,root) %{php_extensiondir}/pdo_firebird.so
%endif

%files pdo-mysql
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/pdo_mysql.ini
%attr(755,root,root) %{php_extensiondir}/pdo_mysql.so

%if %{with oci8}
%files pdo-oci
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/pdo_oci.ini
%attr(755,root,root) %{php_extensiondir}/pdo_oci.so
%endif

%if %{with odbc}
%files pdo-odbc
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/pdo_odbc.ini
%attr(755,root,root) %{php_extensiondir}/pdo_odbc.so
%endif

%if %{with pgsql}
%files pdo-pgsql
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/pdo_pgsql.ini
%attr(755,root,root) %{php_extensiondir}/pdo_pgsql.so
%endif

%if %{with pdo_sqlite}
%files pdo-sqlite
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/pdo_sqlite.ini
%attr(755,root,root) %{php_extensiondir}/pdo_sqlite.so
%endif

%if %{with pgsql}
%files pgsql
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/pgsql.ini
%attr(755,root,root) %{php_extensiondir}/pgsql.so
%endif

%if %{with phar}
%files phar
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/phar.ini
%attr(755,root,root) %{php_extensiondir}/phar.so
%attr(755,root,root) %{_bindir}/phar
%attr(755,root,root) %{_bindir}/phar.phar
%endif

%files posix
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/posix.ini
%attr(755,root,root) %{php_extensiondir}/posix.so

%if %{with pspell}
%files pspell
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/pspell.ini
%attr(755,root,root) %{php_extensiondir}/pspell.so
%endif

%files readline
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/cli.d/readline.ini
%attr(755,root,root) %{php_extensiondir}/readline.so

%if %{with recode}
%files recode
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/recode.ini
%attr(755,root,root) %{php_extensiondir}/recode.so
%endif

%files session
%defattr(644,root,root,755)
%doc ext/session/mod_files.sh
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/Session.ini
%attr(755,root,root) %{php_extensiondir}/session.so

%files shmop
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/shmop.ini
%attr(755,root,root) %{php_extensiondir}/shmop.so

%files simplexml
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/simplexml.ini
%attr(755,root,root) %{php_extensiondir}/simplexml.so

%if %{with snmp}
%files snmp
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/snmp.ini
%attr(755,root,root) %{php_extensiondir}/snmp.so
%endif

%files soap
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/soap.ini
%attr(755,root,root) %{php_extensiondir}/soap.so

%files sockets
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/sockets.ini
%attr(755,root,root) %{php_extensiondir}/sockets.so

%files spl
%defattr(644,root,root,755)
%doc ext/spl/{CREDITS,README,TODO,examples}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/SPL.ini
%attr(755,root,root) %{php_extensiondir}/spl.so

%if %{with sqlite2}
%files sqlite
%defattr(644,root,root,755)
%doc ext/sqlite/{README,TODO,CREDITS}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/sqlite.ini
%attr(755,root,root) %{php_extensiondir}/sqlite.so
%endif

%if %{with sqlite3}
%files sqlite3
%defattr(644,root,root,755)
%doc ext/sqlite3/CREDITS
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/sqlite3.ini
%attr(755,root,root) %{php_extensiondir}/sqlite3.so
%endif

%if %{with sybase_ct}
%files sybase-ct
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/sybase_ct.ini
%attr(755,root,root) %{php_extensiondir}/sybase_ct.so
%endif

%files sysvmsg
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/sysvmsg.ini
%attr(755,root,root) %{php_extensiondir}/sysvmsg.so

%files sysvsem
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/sysvsem.ini
%attr(755,root,root) %{php_extensiondir}/sysvsem.so

%files sysvshm
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/sysvshm.ini
%attr(755,root,root) %{php_extensiondir}/sysvshm.so

%files tests
%defattr(644,root,root,755)
%dir %{php_data_dir}/tests/php
%{php_data_dir}/tests/php/basic
%{php_data_dir}/tests/php/classes
%{php_data_dir}/tests/php/func
%{php_data_dir}/tests/php/lang
%{php_data_dir}/tests/php/output
%{php_data_dir}/tests/php/run-test
%{php_data_dir}/tests/php/security
%{php_data_dir}/tests/php/strings
%{php_data_dir}/tests/php/quicktester.inc
%attr(755,root,root) %{php_data_dir}/tests/php/run-tests.php

%if %{with tidy}
%files tidy
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/tidy.ini
%attr(755,root,root) %{php_extensiondir}/tidy.so
%endif

%files tokenizer
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/tokenizer.ini
%attr(755,root,root) %{php_extensiondir}/tokenizer.so

%if %{with wddx}
%files wddx
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*wddx.ini
%attr(755,root,root) %{php_extensiondir}/wddx.so
%endif

%files xml
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/xml.ini
%attr(755,root,root) %{php_extensiondir}/xml.so

%files xmlreader
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/xmlreader.ini
%attr(755,root,root) %{php_extensiondir}/xmlreader.so

%if %{with xmlrpc}
%files xmlrpc
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/xmlrpc.ini
%attr(755,root,root) %{php_extensiondir}/xmlrpc.so
%endif

%files xmlwriter
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/xmlwriter.ini
%attr(755,root,root) %{php_extensiondir}/xmlwriter.so

%files xsl
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/xsl.ini
%attr(755,root,root) %{php_extensiondir}/xsl.so

%files zip
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/zip.ini
%attr(755,root,root) %{php_extensiondir}/zip.so

%files zlib
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/zlib.ini
%attr(755,root,root) %{php_extensiondir}/zlib.so

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php.spec,v $
Revision 1.972  2012/01/12 08:27:14  glen
- package php-fpm status html (uses json response via ajax to update)

Revision 1.971  2012/01/11 20:55:34  glen
- release 1

Revision 1.970  2012/01/11 20:05:04  glen
- up to 5.3.9; cve refs for 5.3.7 release

Revision 1.969  2011/12/20 19:43:21  arekm
- release 13

Revision 1.968  2011/12/18 21:38:34  adamg
- fix embedded package name in -devel Requires:
- release 12

Revision 1.967  2011/12/18 19:14:03  adamg
- if with_embed bcond is used, let -devel require php-embed (to satisfy
  libphp5.so symlink)
- release 11

Revision 1.966  2011/11/05 20:39:15  glen
- fix without embed install

Revision 1.965  2011/11/05 18:35:43  glen
- build enchant extension

Revision 1.964  2011/11/05 17:06:06  glen
- versions for bz2,enchant,hash,intl,sqlite extensions

Revision 1.963  2011/11/05 16:35:52  glen
- provide versions for fileinfo,phar,zip,json extensions. obsolete pecl package if older; rel 10

Revision 1.962  2011/11/03 05:28:11  glen
- doh, don't just REVERT it, bcond it!

Revision 1.961  2011/10/24 20:16:15  adamg
- revert rev1.954 - causes segfaults in zip file processing; rel 9

Revision 1.960  2011/10/18 16:07:47  glen
- ac fix

Revision 1.959  2011/10/14 06:05:01  glen
- tests: load PHP_TEST_SHARED_SYSTEM_EXTENSIONS before extension modules

Revision 1.958  2011/10/09 10:25:25  arekm
- release 7

Revision 1.957  2011/10/02 15:26:28  glen
- phar cli requires zlib

Revision 1.956  2011/10/02 15:24:14  glen
- suggest cli for phar

Revision 1.955  2011/09/26 22:30:51  glen
- fix system zlib patch, really link with -lzip

Revision 1.954  2011/09/26 21:33:08  glen
- use system libzip in zip extension

Revision 1.953  2011/09/22 07:20:51  glen
- fix libphp_common.la path in libphp5.la

Revision 1.952  2011/09/22 05:33:03  glen
- do not package embed headers twice

Revision 1.951  2011/09/22 05:03:06  glen
- add embed sapi, preserve timestamps on install

Revision 1.950  2011/09/19 16:30:31  qboosh
- -tests desc typo
- note about unpackaged enchant extension (see php-pecl-enchant)
- doc packaging cleanups; README.input_filter packaged in -devel as it refers to C code, not PHP extensions

Revision 1.949  2011/08/31 06:58:58  arekm
- release 2

Revision 1.948  2011/08/23 17:58:39  arekm
- up to 5.3.8

Revision 1.947  2011/08/22 19:05:06  adamg
- fix bug 55439 (crypt() returns only the salt for MD5); release 2

Revision 1.946  2011/08/20 16:39:10  arekm
- up to 5.3.7 (curl limit looks merged; buff_ovf also)
  [CVE-2011-2483, CVE-2011-2202, CVE-2011-1148, CVE-2011-1938]

Revision 1.945  2011/08/07 17:42:45  glen
- --enable-spl/--disable-spl option does not exist in 5.3+

Revision 1.944  2011/08/07 17:39:42  glen
- overload is not extension in php5, but language construct
  see http://www.php.net/manual/en/intro.overload.php

Revision 1.943  2011/08/07 17:11:49  glen
- mhash backward compat layer enabled in hash extension only if --with-mhash enabled

Revision 1.942  2011/08/07 10:50:05  glen
- split sqlite bcond: sqlite2 and pdo_sqlite

Revision 1.941  2011/08/03 06:09:53  baggins
- rel 11

Revision 1.940  2011/07/30 19:55:20  arekm
- release 10

Revision 1.939  2011/05/24 05:40:37  marti
- added stack buffer overflow patch in socket_connect() (php-buff_ovf.patch)

Revision 1.938  2011/05/22 09:20:06  lisu
- minimal version of xmlrpc-epi is 0.54.1

Revision 1.937  2011/04/22 12:21:13  glen
- php-fpm: restore listening by default on unix socket

Revision 1.936  2011/04/13 18:50:49  arekm
- rel 7; lower mysql header vs library mismatch warnings to notice level

Revision 1.935  2011/04/09 14:18:56  glen
- remove bogus ltdl linking on mcrypt (-lltdl is on -lmcrypt not php ext)

Revision 1.934  2011/04/05 12:22:55  jajcus
- kerberos5 bcond

Revision 1.933  2011/04/02 19:58:28  arekm
- release 5

Revision 1.932  2011/04/01 11:27:28  glen
- rebuild php after mysql dubious exports patch

Revision 1.931  2011/03/31 18:12:45  arekm
- release 3

Revision 1.930  2011/03/29 11:38:21  glen
- use %requires_ge_to, %requires_ge should be rather dropped at all

Revision 1.929  2011/03/29 11:32:07  glen
- requires_ge

Revision 1.928  2011/03/29 11:03:33  glen
- require pcre version at runtime it was compiled with, or strange errors occour:
  PHP Warning:  preg_match_all(): Compilation failed: unknown option bit(s) set at offset 0
  for '/./u' (PCRE8) modifier
  noticed at least with pcre-8.12 vs pcre-8.02

Revision 1.927  2011/03/24 19:44:30  arekm
- rel 1; suhosin from cooker

Revision 1.926  2011/03/18 09:02:21  arekm
- updated to 5.3.6 without suhoshin (fixes CVE-2011-1153, CVE-2011-1092, CVE-2011-0708, CVE-2011-0421, misc)

Revision 1.925  2011/03/11 17:53:57  baggins
- add oci as release ext
- add leading dot to release exts

Revision 1.924  2011/03/04 17:28:43  arekm
- release 8

Revision 1.923  2011/02/28 21:20:37  glen
- avoid self-obsoletion

Revision 1.922  2011/02/28 21:15:58  glen
- ttyname_r bug still not solved

Revision 1.921  2011/02/26 07:39:24  arekm
- release 6

Revision 1.920  2011/02/23 23:53:44  pawelz
- enabled litespeed sapi by default
- rel 5

Revision 1.919  2011/02/23 23:38:26  sparky
- don't silent libtool instalation
- rearranged litespeed build

Revision 1.918  2011/02/23 21:33:05  sparky
- BR: mysql-devel

Revision 1.917  2011/01/25 19:28:22  arekm
- rel 4; sesion R spl due to 'Cannot load module 'session' because required module 'spl' is not loaded'

Revision 1.916  2011/01/10 17:09:05  caleb
- Require newer version of pcre-devel for pcre extention. A bug in < 8.10 causes the PCRE8 (u) flag to fail in php 5.3.x

Revision 1.915  2011/01/07 12:20:40  atler
- rel 2

Revision 1.914  2011/01/07 10:49:20  arekm
- up to 5.3.5

Revision 1.913  2011/01/06 15:47:31  arekm
- rel 3; famous float bug on 32bit matchines fix

Revision 1.912  2010/12/14 14:47:05  pawelz
- litespeed_version 5.5
- rel 2

Revision 1.911  2010/12/12 21:31:33  arekm
- rel 1

Revision 1.910  2010/12/12 21:00:01  glen
- up to 5.3.4, builds with -sp 7

Revision 1.909  2010/12/11 21:22:49  arekm
- rel 11; BIG FAT WARNING: we are now building php WITHOUT ZTS
(zend thread safety) as it was "for code maintainers only!!".

We were using it because we hoped that zts will be fully supported
in php but it never happened and php devs are now insisting more
and more that this option shouldn't be used in normal builds
(look at commit logs and diffs for Zend/Zend.m4 in php repository)

Revision 1.908  2010/12/07 14:00:12  glen
- typo

Revision 1.907  2010/12/07 12:44:36  glen
- move session.ini being loaded early; rel 10

Revision 1.906  2010/10/31 06:11:47  qboosh
- php-ming is available again (now packaged from ming.spec)

Revision 1.905  2010/10/30 06:22:51  qboosh
- there is no ext/pdo_sqlite/libsqlite
- fixed pl for -spl

Revision 1.904  2010/10/30 05:51:48  qboosh
- dealt with some obsolete modules:
- -fileinfo O: php-mime_magic
- -sybase-ct O: php-sybase without Conflicts (no alternative now)
- -cpdf is obsoleted by php-pecl-cpdf (svn snap)
- -fam is obsoleted by php-pecl-fam
- -dbase is obsoleted by php-pecl-dbase
- -ncurses is obsoleted by php-pecl-ncurses

Revision 1.903  2010/10/28 07:50:03  qboosh
- consistent packages/files order

Revision 1.902  2010/10/28 05:57:17  qboosh
- missing pl

Revision 1.901  2010/10/26 07:20:22  qboosh
- fdf has been removed from php 5.3 (see php-pecl-fdf now)

Revision 1.900  2010/10/25 19:47:57  qboosh
- requires imap-lib with annotations patch

Revision 1.899  2010/10/19 21:00:01  baggins
- rel 9
- heimdal 1.4 does not need any cflags for libgssapi

Revision 1.898  2010/10/15 22:23:13  pawelz
- use lsapi from litespeedtech.com[1]. It is more recent than one bundled with php
  sources. Moreover it is recomended[2] by litespeed support.
- [1] http://comments.gmane.org/gmane.linux.pld.devel.polish/31911
- [2] http://www.litespeedtech.com/support/forum/showthread.php?p=21702
- Author: Paweł Kośka <pawel@viop.pl>

Revision 1.897  2010/09/10 19:15:10  baggins
- added instantclient bcond

Revision 1.896  2010/08/27 16:22:36  glen
- make phar link relative

Revision 1.895  2010/08/26 22:04:15  glen
- set date.timezone only if not yet set (note by blues on pld-devel-en); rel 8

Revision 1.894  2010/08/26 17:11:25  glen
- use system tzdata patch from fedora
- php common lib smaller by 275k and tzdata info up to date regardless of php releases
- rel 7

Revision 1.893  2010/08/26 17:08:25  glen
- fix timezone setup in php.ini
- there's nothing to ldconfig

Revision 1.892  2010/08/26 17:00:17  glen
- use cli makefile/config for build/install so that all install targets are invoked
- package phar binfiles which got installed now
- pcre headers are installed now by default as well, mbstring somewhy still not yet

Revision 1.891  2010/08/24 21:45:24  glen
- fix second post

Revision 1.890  2010/08/24 11:01:52  glen
- setup date.timezone if possible; rel 6

Revision 1.889  2010/08/22 10:53:11  glen
- provide obsoleted names: php-mhash, php-domxml; rel 4

Revision 1.888  2010/08/21 16:49:41  glen
- enable_dl in cli (otherwise can't use php-gtk2 ext at all); rel 3

Revision 1.887  2010/08/21 13:22:21  glen
- rename php-bzip2 -> php-bz2 to match extension name; rel 2

Revision 1.886  2010/08/05 22:33:45  glen
- more tests made happy

Revision 1.885  2010/08/03 14:51:06  glen
- release 1

Revision 1.884  2010/08/03 12:43:03  glen
- playing with tests, save changes

Revision 1.883  2010/07/25 22:04:58  glen
- update fpm paths, use upstream paths

Revision 1.882  2010/07/25 21:24:47  glen
- fix files for fpm

Revision 1.881  2010/07/25 19:38:24  glen
- php-fpm fixes

Revision 1.880  2010/07/25 18:06:49  glen
- fix test

Revision 1.879  2010/07/25 10:45:48  glen
- fix typo

Revision 1.878  2010/07/25 10:15:44  glen
- up to 5.3.3, fpm patch included but broken
- fpm needs -fPIC fixing

Revision 1.877  2010/07/24 16:16:45  glen
- fix test building
- add cgi bcond

Revision 1.876  2010/06/14 09:38:05  glen
- mm conflicts with zts, not apache2

Revision 1.875  2010/06/13 20:36:50  glen
- gcov bcond

Revision 1.874  2010/06/07 19:36:45  glen
- release 5

Revision 1.873  2010/06/07 19:25:22  glen
- release 4

Revision 1.872  2010/06/07 18:32:26  glen
- rename RUN_TESTS_ARGS to RUN_TESTS_SETTINGS to match other vars

Revision 1.871  2010/06/06 14:48:11  arekm
- release 3

Revision 1.870  2010/06/03 21:51:25  arekm
- common O: php-mysqlnd if built without mysqlnd

Revision 1.869  2010/06/03 20:05:11  arekm
- rel 2; disable mysqlnd by default (doesn't match previous lib feature set)

Revision 1.868  2010/06/01 17:14:02  glen
- release 1

Revision 1.867  2010/04/14 10:34:47  glen
- xml breakage checker from PHP_5_2

Revision 1.866  2010/04/14 07:24:27  glen
- updated todo

Revision 1.865  2010/04/14 07:19:15  glen
- mysqlnd as shared ext

Revision 1.864  2010/04/13 22:28:55  glen
- typo

Revision 1.863  2010/03/17 16:45:11  glen
- sort ini files with locale independant strcmp (merge php-sapi-ini-file.patch@1.9.4.1)
- testing related fixes

Revision 1.862  2010/03/17 13:28:49  glen
- make tests to work
- auto patch skiper included

Revision 1.861  2010/03/17 13:21:55  baggins
- reverted 1.849
- updated patch so it has the same functionality as on PHP_5_2

Revision 1.860  2010/03/16 10:36:51  glen
- imap ext R: pcre
- phar ext R: spl
- fileinfo ext R: pcre

Revision 1.859  2010/03/16 10:13:24  glen
- include php-branch.sh in src.rpm

Revision 1.858  2010/03/16 10:10:56  glen
- pcntl available in all sapis (@PHP_5_2)

Revision 1.857  2010/03/16 10:00:28  glen
- PHP_5_2:
  - simplexml requires spl
  - dep-tests: get the sort order same way php loads (ini files sorting); rel 13
  - BR: pkgconfig

Revision 1.856  2010/03/16 09:56:56  glen
- build config fragments in build section (@PHP_5_2)

Revision 1.855  2010/03/16 09:55:34  glen
- PHP_5_2:
  - sqlite ext has hard dependency on spl and pdo
  - current wddx does not compile session related code due being built shared
  - filter ext depends on pcre
  - run internal module deps test

Revision 1.854  2010/03/16 09:51:41  glen
-  uid http for fpm (@PHP_5_2)

Revision 1.853  2010/03/16 09:47:04  glen
- tests need cli sapi config/makefile

Revision 1.852  2010/03/16 09:17:46  glen
- revert unwanted commit

Revision 1.850  2010/03/15 21:09:22  glen
- up to 5.3.2

Revision 1.849  2010/03/10 22:51:16  baggins
- rel 0.15
- move per-SAPI additional ini files to per-SAPI config dirs
- added triggers to move configs on upgrade (should apache* triggers be merged?)

Revision 1.848  2010/02/26 17:45:05  glen
- static provides from PHP_5_2

Revision 1.847  2010/02/26 17:43:04  glen
- create http group for php-fpm (merge from PHP_5_2)

Revision 1.846  2010/02/26 17:28:14  glen
- up to php-5.3.2RC3

Revision 1.845  2010/02/22 09:07:00  glen
- libtool patch not compatible with ac

Revision 1.844  2010/02/20 17:23:17  glen
- main php.ini is not loaded at all..

Revision 1.843  2010/02/20 01:16:35  glen
- buildfix for ac

Revision 1.842  2010/02/20 01:09:37  glen
- cleanup litespeed makefile too

Revision 1.841  2010/02/20 00:50:21  glen
- updated -include_path.patch, -imap-annotations.patch, -imap-myrights.patch patches

Revision 1.840  2010/02/20 00:25:23  glen
- updated mysql charset ini patches

Revision 1.839  2010/02/19 23:54:14  glen
- revised some patches:
  - drop acam.patch - ac2.53b/am1.6b patch no longer needed
  - drop tsrmlsfetchgcc2.patch - we no longer support gcc 2
  - drop sybase-fix.patch - sybase ext is dropped
  - drop bug-42952.patch -- solved upstream
  - drop apr-apu.patch - outdated, apxs -q APR_CONFIG/-q APU_CONFIG work ok
  - drop mime_magic.patch - mime_magic ext is dropped
  - restored pear.patch
  - restored fcgi-error_log-no-newlines.patch
  - restored curl-limit-speed.patch
  - restored libtool.patch

Revision 1.838  2010/02/07 14:30:26  pawelz
- dropped php-litespeed R: litespeed. php-litespeed may comunicate with litespeed via network

Revision 1.837  2010/02/06 17:25:03  sparky
- dropped unused BR: fcgi-devel, flex, judy-devel, libtiff-devel, libwrap-devel
- replaced configure option magic with __with_without macros
- fix build with xmlrpc-epi
- pass rpmcppflags

Revision 1.836  2010/02/02 16:47:58  pawelz
- move php.litespeed to %{_sbindir}. Not tested.

Revision 1.835  2010/02/02 16:45:56  pawelz
- capitalize Apache, PHP
- Apache'a, not Apacha

Revision 1.834  2010/02/02 16:02:48  pawelz
- fixed previous commit (pl %description for litespeed)

Revision 1.833  2010/02/02 16:00:58  pawelz
- build litespeed API (disabled with bcond by now)

Revision 1.832  2010/01/11 00:46:10  sparky
- BR: pkgconfig
- changed bogus R: fcgi-devel to BR:

Revision 1.831  2009/12/15 23:57:29  zergin
- add patch for bug#50458 (to be removed with 5.3.2)
- up rel 1.11 to 1.12

Revision 1.830  2009/12/02 10:29:07  glen
- CLI borked

Revision 1.829  2009/12/01 07:45:47  glen
- sparc is not really for fpm, or too old binutils there?

Revision 1.828  2009/11/30 22:51:47  glen
- shared pcre/spl/session from PHP_5_2

Revision 1.827  2009/11/26 23:47:32  glen
- sync the patches order with PHP_5_2 for review purposes

Revision 1.826  2009/11/26 21:59:05  glen
- adjust php-fpm config from 5.2 branch

Revision 1.825  2009/11/26 20:44:57  glen
- fpm patch added

Revision 1.824  2009/11/26 20:41:49  glen
- remove junk triggers introduced by zergin

Revision 1.823  2009/11/26 12:16:33  glen
- fixup installed sapis in php-config
- partial fpm patch

Revision 1.822  2009/11/25 23:01:54  glen
- restored -stupidapache_version.patch from php4

Revision 1.821  2009/11/25 22:30:45  glen
- zend license in prep

Revision 1.820  2009/11/25 16:47:04  glen
- add suhosin patch

Revision 1.819  2009/11/23 07:45:07  arekm
- fix config installation

Revision 1.818  2009/11/19 21:27:19  arekm
- up to 5.3.1

Revision 1.817  2009/09/18 09:08:15  glen
- mhash BC layer is now entirely within ext/hash according to 5.3.0 changelog

Revision 1.816  2009/09/14 10:56:24  arekm
- drop expat, not needed for anything

Revision 1.815  2009/09/09 09:07:01  glen
- BR macros for fpm restart

Revision 1.814  2009/09/07 14:38:34  baggins
- BR libicu-devel

Revision 1.813  2009/08/18 17:40:23  zergin
- add patch for bug #48880 random errors with open_basedir(); will be fixed
  in 5.3.1
- rel up .3 -> .4

Revision 1.812  2009/08/18 10:46:23  arekm
- autoconf 2.64 buildfix

Revision 1.811  2009/08/07 06:45:15  arekm
- don't warn about problems with opening /var/run/php since in our setup php won't be able to open it (tmpwatch does session celaning)

Revision 1.810  2009/07/13 20:40:21  arekm
- visibility hidden was most likely cause of the build fauilure; revert libstdc++ commit

Revision 1.809  2009/07/13 17:49:43  arekm
- add BR libstdc++-static

Revision 1.808  2009/07/06 20:15:37  arekm
- drop old threads-acfix patch

Revision 1.807  2009/07/06 19:57:01  arekm
- resurect ini/mail patches

Revision 1.806  2009/07/06 19:38:03  arekm
- moved from DEVEL

Revision 1.688.2.39  2009/07/06 17:02:41  arekm
- last hunk of tds patch is still needed, reapply

Revision 1.688.2.38  2009/07/06 15:51:37  arekm
- drop todo items

Revision 1.688.2.37  2009/07/06 15:49:41  arekm
- restore sapi.d support

Revision 1.688.2.36  2009/07/06 12:45:50  arekm
- split ini config style is back; php-cgi is php-fcgi, too

Revision 1.688.2.35  2009/07/05 00:30:41  zergin
- fix docuentation URL for intl extension

Revision 1.688.2.34  2009/07/05 00:29:44  zergin
- add bcond_with to build with experimental strict type hinting
- package missing intl extension

Revision 1.688.2.33  2009/06/30 22:32:01  glen
- blocker so that somebody won't try to merge this to HEAD

Revision 1.688.2.32  2009/06/30 21:18:25  arekm
- final 5.3.0; system_gd from HEAD

Revision 1.688.2.31  2009/04/23 22:24:43  glen
- --enable-mysqlnd-threading (maybe too experimental?)

Revision 1.688.2.30  2009/04/17 10:43:56  glen
- php subdir in tests
- fileinfo is now shared module
- sqlite3 ext install fails with error cannot find -lsybtcl

Revision 1.688.2.29  2009/04/15 23:50:14  zergin
- php-cgi Provides: webserver(php) as php-fcgi used to
- new snap 200904152030

Revision 1.688.2.28  2009/04/01 15:26:57  zergin
- up to 2009040101 (post RC1)
- unify CGI and FastCGI packages
  This AIN'T tested for smooth updates yet.
   - drop php-fcgi
   - php-cgi provides php(fcgi)
   - php-cgi obsoletes php-fcgi
   - php-cgi has symlink php.cgi -> php.fcgi
- use "new ini files"
   - php.ini-production as new base config
   - full copies for sapi configs
      cofiguration isn't merged with base php.ini
- package .phpt unit tests and run-tests.php script into
  new php-tests package

Revision 1.688.2.27  2009/03/17 09:08:14  glen
- 200903170730 snap
- simplexml as shared

Revision 1.688.2.26  2009/03/16 20:04:28  glen
- urls to extensions
- whole php is one big experiment (so drop comments about "experimental" extensions)

Revision 1.688.2.25  2009/03/16 19:41:01  glen
- update snap to 200903161730
- build shared fileinfo, sqlite3, hash packages
- use system regex
- new sqlite3 bcond

Revision 1.688.2.24  2009/03/16 16:13:48  glen
- mysql-devel not used at all due mysqlnd

Revision 1.688.2.23  2009/03/16 15:46:19  glen
- bug #45079 fixed (enable sapi name tests)
- build mysql ext also with mysqlnd
- fix icons removal

Revision 1.688.2.22  2009/03/16 15:24:05  glen
- partial merge from HEAD

Revision 1.688.2.21  2009/03/14 17:21:13  zergin
- up snap to 200903141330
- change package version from 5.3 -> 5.3.0

Revision 1.688.2.20  2009/02/24 18:21:50  zergin
- update to snap 2009.02.24 15:30 (beta2 status)
- update zend_module_api to 20090115
- update zend_extension_api to 220090115
- remove unrecognized configure options:
   --with-apache-version, --enable-memory-limit, --with-inifile,
   --with-flatfile, --enable-gd-jus-conf, --enable-track-vars,
   --enable-trans-sid, --with-expat-dir, --without-sablot-js,
   --with-tiff-dir
   --enable-reflection
   --enable-fastcgi, --with-fastcgi, --enable-force-cgi-redirect
   (fastcgi and reflection are always enabled)
- drop gcc2 patch (gcc2 and php 5.3? please... and it would require maintaing
  php 5.3+ branch as it doesn't apply to current sources)
- drop hardening patch and bcond: unavailable for php 5.3 and dropped on MAIN
- drop versioning patch and bcond: unmaintained
- preserve ORACLE_HOME env var if oci8 bcond is on (from MAIN)
- add php-use-prog_sendmail.patch (from MAIN)
- still doesn't build with sybase_ct

Revision 1.688.2.19  2008/12/29 19:52:27  zergin
- adapt to current snap
- drop linkflags clean patch (as on HEAD)
- obsolete mhash extension (dropped, replaced by hash)
- drop ming extension (moved to pecl)
- builds w/o sybase_ct

Revision 1.688.2.18  2008/11/09 01:36:51  zergin
- up to snap 2008.11.08 21:30
- Patch38 (tds) obsolete, already upstream
- dropped mime_magic, finaly fully dropped from upstream
- NfFY (Not fully Functional Yet ;-) ) - work in progress
  compiles --without ming, sybase_ct, xmlrpc

Revision 1.688.2.17  2008/08/13 08:22:34  zergin
- fix pcre provides

Revision 1.688.2.16  2008/08/10 22:32:49  zergin
- updated to 200808101830
- dbase moved to pecl (removed from spec)

Revision 1.688.2.15  2008/07/27 16:27:59  zergin
- revert mime_magic removal (depricated but still working)
- add >= 0.82 version on freetds-devel BR (as on HEAD)

Revision 1.688.2.14  2008/07/27 15:50:08  zergin
- removed mime_magic: functionality now provided by fileinfo
- fileinfo now available in core
  - added provides/obsoletes
  - requires -DHAVE_STRNDUP (dunno why explicitly)
- added FreeTDS patch from HEAD (as patch38): fixes build with freetds 0.82
- mysqli and pdo-mysql switched to mysqlnd (insted of libmysql)
  - new and better, see: http://dev.mysql.com/downloads/connector/php-mysqlnd/
  - fixes missing symbols (compiled with libmysql pdo-mysql requires php-mysql)
  - pdo-mysql doesn't honor --with-mysql-sock configure option, use ini
    setting pdo_mysql.default_socket
- updated to current snap (200807271230)
- rel up to 0.18

Revision 1.688.2.13  2008/07/25 08:27:18  zergin
- Up to snap 2008.07.26 06:30
- remove no-metaccld patch (no longer needed)
- closures now available in PHP

Revision 1.688.2.12  2008/07/08 11:44:17  zergin
- updated to snap: 2008.07.08 08:30
- drop patch35: already in mainstream
- remove extensions:
  - ncurses (moved to pecl)
  - sybase (dropped; use sybase_ct now)
- PHP bug #45079 fixed, unquoted browscap values not required anymore.
- TODO: adapt to build with freetds 0.82 (missing tds.h required by
        configure)

Revision 1.688.2.11  2008-06-11 12:28:09  zergin
- adapted to new snap
  - libtoolize requires --install to not remove config.{sub,guess}
  - added php-ac.patch from MAIN (fixes posix build)
- fixed missing filter package (after pcre bcond removal)

Revision 1.688.2.10  2008-05-23 17:07:09  glen
- adapter has no brains, you should have it (revert crap caused by adapter and
  commiter not looking what it did)

Revision 1.688.2.9  2008-05-23 17:01:23  zergin
- adapterized
- cleanup

Revision 1.688.2.8  2008-05-23 16:36:02  zergin
- updated to work with current snaps
- up to snap: 200805231030
- added phar extension (now enabled by default)
- build in hash extension (can't get it to link properly when shared)
- commented out php_sapi_name() tests: it SEGVs in build root but works
  after install (dunno); see http://bugs.php.net/bug.php?id=45079
- fixed building --without sqlite
- removed obsolete patch for bug #42952
- removed posibility to build w/o pcre (pcre must be available)
- works for me on x86_64 --without apache1 fcgi ming

Revision 1.688.2.7  2007-11-10 14:52:04  glen
- 200711090930 snap

Revision 1.688.2.6  2007-11-07 20:38:45  glen
- add -fcgi-graceful.patch

Revision 1.688.2.5  2007/11/07 14:42:22  glen
- 200711071330 snapshot, cgi thinks it is fcgi ;(
- merges from HEAD

Revision 1.688.2.4  2007/10/23 18:18:21  glen
- 200710231630 snap; sybase_ct enabled
- use %{_sysconfdir} to make adapter happy

Revision 1.688.2.3  2007/10/23 06:25:38  glen
- -threads-acfix.patch problem seems gone

Revision 1.688.2.2  2007/10/22 22:31:59  glen
- snap in release

Revision 1.688.2.1  2007/10/22 22:27:22  glen
- update to 5.3-200710222030

Revision 1.688  2007/10/22 22:24:26  glen
- adapter friendly

Revision 1.687  2007/10/12 17:00:47  glen
- rel 5: #42952

Revision 1.686  2007/10/10 15:21:14  baggins
- rel 4

Revision 1.685  2007/09/14 18:10:15  qboosh
- versioned ming R in -ming

Revision 1.684  2007/08/31 19:52:23  arekm
- rel 3; drop obsolete -mysql.patch

Revision 1.683  2007/08/31 17:50:19  glen
- update to 5.2.4,
  CVE-2007-3378, CVE-2007-3806, MOPB-03-2007, CVE-2007-2872

Revision 1.682  2007/07/15 17:50:50  arekm
- rel 6; add mysql.patch

Revision 1.681  2007/07/14 21:39:29  arekm
- rel 5

Revision 1.680  2007/07/09 14:02:05  adamg
- php-xsl requires php-dom

Revision 1.679  2007/07/03 09:13:12  arekm
- rel 4

Revision 1.678  2007/07/03 09:13:00  arekm
- rel 3

Revision 1.677  2007/07/02 22:27:34  glen
- provide php-pcre; rel 3

Revision 1.676  2007/06/21 10:36:59  arekm
- rel 2

Revision 1.675  2007/06/01 08:48:58  arekm
- tests are off by default

Revision 1.674  2007/06/01 08:45:54  glen
- 5.2.3: resolves CVE-2007-2872, CVE-2007-2756, CVE-2007-1900;
  improves fix for CVE-2007-1887

Revision 1.673  2007/05/30 20:22:45  arekm
- rel 3; don't use check section for now

Revision 1.672  2007/05/30 18:33:09  arekm
- rel 2

Revision 1.671  2007/05/08 16:41:46  glen
- ac-branch merge

Revision 1.670  2007/05/08 16:37:39  glen
- ac-branch merge

Revision 1.669  2007/05/05 10:09:56  arekm
- rel 1; cve issues seem to be fixed

Revision 1.668  2007/05/04 11:16:44  glen
- 5.2.2, CVE patches not checked

Revision 1.667  2007/04/29 20:43:50  qboosh
- merged RH's security patches from AC-branch
  (CVE-2007-0455 CVE-2007-1001 CVE-2007-1583 CVE-2007-1718)
- release 6

Revision 1.666  2007/04/29 20:40:46  qboosh
- renumbered patches

Revision 1.665  2007/04/02 06:42:51  arekm
- rel 5; krb5 rebuild

Revision 1.664  2007/02/28 18:52:33  arekm
- rel 4

Revision 1.663  2007/02/25 15:25:32  arekm
- rel 3

Revision 1.662  2007/02/22 15:20:02  qrczak
- php-sybase and php-sybase-ct conflict each other. "Obsoletes" is not
  enough to prevent simultaneous installation of both.

Revision 1.661  2007/02/21 22:23:21  blues
- sync with AC-branch

Revision 1.660  2007/02/19 12:05:07  glen
- cosmetics

Revision 1.659  2007/02/19 11:36:48  arekm
- rel 2; define _sysconfdir to php_sysconfdir; php-config depends on that

Revision 1.658  2007/02/13 08:06:40  glen
- tabs in preamble

Revision 1.657  2007/02/12 21:15:43  glen
- up

Revision 1.656  2007/02/12 00:49:27  baggins
- converted to UTF-8

Revision 1.655  2007/02/11 17:17:05  arekm
- rel 1

Revision 1.654  2007/02/11 17:15:43  arekm
- drop memory limit patch

Revision 1.653  2007/02/09 17:25:32  glen
- temporary pthread linking fix

Revision 1.652  2007/02/09 17:05:00  glen
- seems to need newer ming
- compile failure is from threads-acfix.patch

Revision 1.651  2007/02/09 09:37:08  glen
- 5.2.1, but threading libs not found

Revision 1.650  2007/02/02 13:09:03  glen
- typo (reported by Qrczak)

Revision 1.649  2007/01/16 22:18:11  glen
- rpmbuild macros bump is unneccessary as all new macros are local

Revision 1.648  2007/01/16 22:14:00  glen
- use common php extension macros

Revision 1.647  2007/01/11 00:24:25  glen
- AC-branch merge

Revision 1.646  2007/01/07 18:39:54  qboosh
- Obsoletes: php-pecl-hash

Revision 1.645  2007/01/04 13:17:00  glen
- install headers needed by php-pecl-mailparse; rel 8

Revision 1.644  2006/12/23 11:24:22  qboosh
- updated gd_imagerotate_enable patch, use "gd(imagerotate) = 5.2.0" deps
- restored comment about removed but STILL not obsoleted php-* packages

Revision 1.643  2006/12/22 22:07:11  qboosh
- dropped db3 bcond and allow-db31 patch

Revision 1.642  2006/12/22 22:01:25  qboosh
- interbase enabled by default (except ppc - broken on th-ppc)

Revision 1.641  2006/12/22 22:00:18  qboosh
- fixed link-libs patch; EXTRA_LIBS line is MUCH shorter now
- release 5

Revision 1.640  2006/12/22 20:58:41  qboosh
- removed comment about including removed modules

Revision 1.639  2006/12/22 20:49:17  qboosh
- don't refer to /opt/firebird for pdo-firebird

Revision 1.638  2006/12/20 11:54:45  glen
- AC-branch merge

Revision 1.637  2006/12/14 00:00:20  glen
- -zip obsoletes php-pecl-zip

Revision 1.636  2006/12/13 23:55:46  glen
- xmlwriter obsoletes php-pecl-xmlwriter

Revision 1.635  2006/12/13 23:27:24  glen
- add --sysconfdir to php-config for rpm macros; rel 3

Revision 1.634  2006/12/13 22:38:35  glen
- -json obsoletes php-pecl-json

Revision 1.633  2006/12/13 22:28:26  glen
- -filter obsoletes php-pecl-filter

Revision 1.632  2006/12/10 16:23:56  arekm
- rel 2

Revision 1.631  2006/12/07 18:15:10  arekm
- rel 1

Revision 1.630  2006/12/05 23:15:23  glen
- todo cleanup

Revision 1.629  2006/12/03 13:48:00  arekm
- rebuild

Revision 1.628  2006/12/01 11:00:08  arekm
- rel 0.23

Revision 1.627  2006/11/28 07:51:03  glen
- rename amd64.patch to memory-limit.patch as it affects also alpha

Revision 1.626  2006/11/26 15:36:23  glen
- fix conflicts

Revision 1.625  2006/11/26 15:14:01  glen
- conflict on php4-common package to prevent breaking partially updated systems

Revision 1.624  2006/11/26 13:20:40  glen
- drop the name based extension provides
- obsolete php-pcre package
- add virtual provides date, reflection to static extensions

Revision 1.623  2006/11/22 11:35:08  glen
- add filter bcond to simplify configure line

Revision 1.622  2006/11/22 11:32:33  glen
- sort extension bconds alphabetically

Revision 1.621  2006/11/22 09:31:49  qboosh
- cosmetics

Revision 1.620  2006/11/22 09:31:14  qboosh
- cosmetics

Revision 1.619  2006/11/22 09:29:16  qboosh
- pl update

Revision 1.618  2006/11/21 22:55:01  qboosh
- no more phpfi

Revision 1.617  2006/11/21 22:49:51  qboosh
- added sh patch to fix build with ksh+autoconf 2.60
- added curl patch to fix build with curl 7.16
- added db4.5 patch to prefer db4.5 > db4.4 > older versions

Revision 1.616  2006/11/19 23:06:38  glen
- msession was removed in 5.1.3

Revision 1.615  2006/11/19 23:03:00  glen
- filter extension built as shared

Revision 1.614  2006/11/19 22:37:20  glen
- simplify extension script macros
- add scripts for hash, json, xmlwriter

Revision 1.613  2006/11/19 22:12:52  glen
- hash, json, xmlwriter are shared extensions now

Revision 1.612  2006/11/19 21:46:06  glen
- json is compiled statically...

Revision 1.611  2006/11/15 21:21:54  qboosh
- typo

Revision 1.610  2006/11/15 12:05:47  glen
- use correct source and rename to browscap.ini

Revision 1.609  2006/11/14 22:08:32  blues
- added php_browscap.ini

Revision 1.608  2006/11/13 15:01:54  sparky
- don't use %{without ...}, it may not work after inverting bcond

Revision 1.607  2006/11/12 16:47:12  glen
- there's no main package

Revision 1.606  2006/11/09 00:15:40  glen
- added php(extension) provides for extensions

Revision 1.605  2006/11/09 00:04:48  glen
- add back R: gd(gif)

Revision 1.604  2006/11/08 23:53:44  glen
- drop also %post/%postun of session

Revision 1.603  2006/11/08 23:48:15  glen
- session doesn't exist as subpackage

Revision 1.602  2006/11/08 23:46:27  glen
- drop php-gd(gif) provides (nothing uses it)

Revision 1.601  2006/11/08 14:37:13  glen
- extensions do not have post,preun scripts

Revision 1.600  2006/11/08 14:35:18  glen
- drop -reflection.patch (arekm said it was just compile fix)
- use -cli instead of -program in pncntl deps

Revision 1.599  2006/11/07 20:20:45  qboosh
- more verbose mime_magic comment

Revision 1.598  2006/11/03 09:16:23  glen
- no obsoletes until there's solution

Revision 1.597  2006/11/03 00:31:48  glen
- -zip package based on php-pecl-zip

Revision 1.596  2006/11/03 00:28:17  glen
- removed dropped files, cleanups
- filter depends on pcre
- enable zip extension (shared)
- tested that php can be compiled without pcre

Revision 1.595  2006/11/02 23:37:53  glen
- ini-search-path.patch resolved upstream

Revision 1.594  2006/11/02 22:33:16  glen
- hwapi, filepro have been dropped
- pcre compiled statically as -common depends on it's symbols
- two patches todo

Revision 1.593  2006/11/02 19:13:36  glen
- 5.2.0 tarball fetch

Revision 1.592  2006/11/01 16:45:47  glen
- Provide php-overload for the sake of simplier deps

Revision 1.591  2006/09/30 22:17:14  arekm
- rebuild with new db4.5

Revision 1.590  2006/09/05 09:30:04  glen
- merge from AC-branch: install ext/pcre/php_pcre.h

Revision 1.589  2006/09/05 09:14:25  glen
- 5.1.6: bugfix release of memory_limit on 64bit systems

Revision 1.588  2006/08/24 15:45:50  glen
- drop FAQ.php (contains text What is PHP3). thx zod

Revision 1.587  2006/08/19 10:05:27  adamg
- Source0-md5 updated

Revision 1.586  2006/08/19 09:53:08  adamg
- updated to 5.1.5
- dropped substr_compare.patch (already applied)

Revision 1.585  2006/08/10 07:19:31  arekm
- rel 5; fixes for as-needed

Revision 1.584  2006/08/09 07:00:36  arekm
- rel 4

Revision 1.583  2006/07/26 15:02:19  glen
- avoid defining default %attr

Revision 1.582  2006/06/22 13:10:13  arekm
- fix bug 37394

Revision 1.581  2006/06/21 12:15:32  arekm
- rel 3.1; soap fix with libxml2 >= 2.6.24; fix if conditional

Revision 1.580  2006/06/20 12:51:33  glen
- use more memory on amd64 (php.ini setting)

Revision 1.579  2006/06/18 21:52:24  glen
- reverted, commited to wrong branch

Revision 1.578  2006/06/18 21:51:26  glen
- AC-branch moved

Revision 1.577  2006/06/18 10:44:06  glen
- /usr/share/php already in php-dirs pkg, rel 3

Revision 1.576  2006/05/26 09:05:52  hawk
- added fix for CLI SEGVs with tidy or sybase_ct enabled
- renumbered patches, cleanup
- release 2

Revision 1.575  2006/05/08 18:04:29  glen
- openssl-huge-hack.patch dropped (unable to reproduce)
- rel 1

Revision 1.574  2006/05/04 06:22:42  adamg
- updated to 5.1.4 (broke POST arrays issue fixed - see bug37276:
  http://bugs.php.net/bug.php?id=37276)

Revision 1.573  2006/05/02 14:21:49  glen
- update to 5.1.3, ext/msession was moved to pecl

Revision 1.572  2006/04/27 19:15:41  glen
- rel 11

Revision 1.571  2006/04/20 20:54:08  glen
- hack installed acinclude.m4
- remove evil rpaths from installed libphp_common.la

Revision 1.570  2006/04/20 19:48:23  glen
- don't mungle build files

Revision 1.569  2006/04/19 16:43:03  adamg
- fix for two security issues: XSS in phpinfo() and binary safeness in
  html_decode

Revision 1.568  2006/04/16 00:47:36  glen
- build cleanups, use permanent config.cache if configured
- CFLAGS mungling unneccessary, all goes via apxs

Revision 1.567  2006/04/16 00:30:58  glen
- renumber sources

Revision 1.566  2006/04/16 00:28:41  glen
- search additionally for .ini files from PHP_CONFIG_FILE_PATH/SAPI.d directory
- drop php4-module-install, use sed directly in triggers

Revision 1.565  2006/04/16 00:00:43  glen
- virtual php(program) dropped, use /usr/bin/php only

Revision 1.564  2006/04/15 23:05:56  glen
- versioning bcond
- clean linkflags from CFLAGS

Revision 1.563  2006/04/01 17:34:06  glen
- obsolete PDO* for pdo packages (they are the same, pecl ones are usually way behind)
- rel 8

Revision 1.562  2006/03/28 18:23:59  arekm
- disable interbase/firebird for now; it's in bad shape in Th

Revision 1.561  2006/03/24 20:27:06  glen
- build doesn't use perl directly

Revision 1.560  2006/03/23 19:45:24  qboosh
- sorted module bconds, strict internal php-dom dep

Revision 1.559  2006/03/23 18:44:21  glen
- tmpwatch and common dirs moved to php-dirs package, rel 7

Revision 1.558  2006/03/22 23:56:44  glen
- 5.1.2 resolves CVE-2006-0207, CVE-2006-0208

Revision 1.557  2006/03/22 23:25:14  blues
- typo

Revision 1.556  2006/03/22 22:29:33  blues
- clean temporary php files moved from tmpwatch spec

Revision 1.555  2006/03/14 11:26:22  spider
- php-xmlreader require php-dom
- pointed by Lukasz Klimek

Revision 1.554  2006/01/25 11:26:45  arekm
- rel 6; nasty hack for pgsql+curl problem

Revision 1.553  2006/01/24 18:18:39  qboosh
- updated pl

Revision 1.552  2006/01/24 16:24:55  glen
- it's no longer use with apache only

Revision 1.551  2006/01/21 00:01:17  arekm
- kill Icon: field (support for these is obsolete says jbj)

Revision 1.550  2006/01/20 21:16:52  glen
- R: mod_mime for apache module; rel 5, STBR

Revision 1.549  2006/01/17 16:38:12  glen
- stop windows behaviour: prevent php.ini being parsed from ./ and /usr/bin in
  cli sapi. see also php#34793
- rel 4

Revision 1.548  2006/01/17 15:58:22  baggins
- release 3
- BR openldap 2.3

Revision 1.547  2006/01/17 14:53:27  glen
- package ext/session/mod_files.sh

Revision 1.546  2006/01/16 19:12:38  arekm
- rel 2; enable reflection (static)

Revision 1.545  2006/01/14 09:39:28  glen
- b! nice, ever

Revision 1.544  2006/01/12 22:01:39  glen
- fix older triggers
- --enable-inline-optimization for faster code

Revision 1.543  2006/01/12 16:53:06  arekm
- updated to 5.1.2 [resolves CVE-2006-0207, CVE-2006-0208]

Revision 1.542  2006/01/09 19:00:04  qboosh
- pl for -pdo-firebird

Revision 1.541  2006/01/07 23:41:28  glen
- apache modules api dep should be sufficent

Revision 1.540  2006/01/06 18:22:56  glen
- make getimagesize() work for compressed .swf without static zlib extension. php-common was already linked with -lz
- BR: sqlite3-devel as pdo-sqlite appears to require v3

Revision 1.539  2006/01/03 14:39:51  arekm
- up to 5.1.2 snap; 5.1.1 is too broken

Revision 1.538  2006/01/01 23:25:01  glen
- package pdo_firebird
- link pdo-sqlite with shared sqlite
- link mbstring with shared libmbfl

Revision 1.537  2006/01/01 14:26:32  glen
- sqlite ext links with pdo symbols. bug?

Revision 1.536  2005/12/30 19:07:42  glen
- pdo_firebird files not packaged (add TODO)

Revision 1.535  2005/12/30 18:36:42  glen
- disable --enable-zend-multibyte, fixes apache1 module; rel 6

Revision 1.534  2005/12/29 17:08:42  glen
- sorted preambles, killed pointless obsolete

Revision 1.533  2005/12/29 15:29:13  adamg
- Obsoletes: php-pecl-domxml (broken and unsupported)

Revision 1.532  2005/12/25 21:25:51  glen
- rel 5 to rebuild with interbase

Revision 1.531  2005/12/25 21:01:44  glen
- dbx pecl was present
- dio pecl created from cvs

Revision 1.530  2005/12/25 20:27:50  glen
- todo cleanup (--enable-versioning does not work with shared modules and probably never will)

Revision 1.529  2005/12/25 20:19:06  glen
- created mnogosearch ext as separate spec

Revision 1.528  2005/12/24 17:52:09  qboosh
- reenabled interbase module
- oracle module is gone; there is pdo_oci, not pdo_oracle
- release 4

Revision 1.527  2005/12/23 22:55:58  qboosh
- one more module removed in 5.1

Revision 1.526  2005/12/23 22:41:07  qboosh
- noted more modules removed to deal with

Revision 1.525  2005/12/23 14:50:03  qboosh
- more pl, pl fixes

Revision 1.524  2005/12/21 23:11:29  glen
- require apache >= 2.2 to prevent php module triggering partial apache upgrade; rel 3

Revision 1.523  2005/12/21 21:55:52  glen
- remove pointless provide on php-common (apache modules dep is on apache specific package)

Revision 1.522  2005/12/21 17:09:16  arekm
- rel 2

Revision 1.521  2005/12/21 12:41:58  arekm
- drop one more patch

Revision 1.520  2005/12/21 11:47:17  arekm
- rel 1; drop obsolete patches

Revision 1.519  2005/12/18 22:28:27  glen
- adapterized

Revision 1.518  2005/12/18 22:25:42  glen
- switch order of autotools and buildconf invocation; builds now

Revision 1.517  2005/12/18 20:57:41  glen
- restored few lost changes with DEVEL merge

Revision 1.516  2005/12/15 13:20:03  arekm
- moved from DEVEL

Revision 1.515  2005/12/13 15:59:58  glen
- adapterized (sorted %verify attrs)

Revision 1.514  2005/12/09 23:31:54  glen
- backported php-cli -dextension loading behaviour from 5.1; rel 19

Revision 1.513  2005/12/02 14:07:41  glen
- add P: php to -fcgi package
- remove Obsoletes which prevented apache1/apache package simulatenous install (no longer needed either)
- rel 18

Revision 1.512  2005/11/24 10:17:27  arekm
- xml needs to be loaded before wddx

Revision 1.511  2005/11/16 11:07:20  arekm
- rel 17; fix bug 33720 (mbstring)

Revision 1.510  2005/11/08 18:34:21  glen
- fix #35009: ZTS: Persistent resource destruct crashes when extension is compiled as shared
- rel 16

Revision 1.509  2005/11/07 09:30:01  ankry
- added man redirection, rel. 15

Revision 1.508  2005/11/02 18:59:05  glen
- use system automake, shtool, libtool for -devel

Revision 1.507  2005/10/29 17:16:07  qboosh
- pl for -program

Revision 1.506  2005/10/29 13:42:13  glen
- created -program package which will be providing /usr/bin/php symlink; rel 14

Revision 1.505  2005/10/29 13:37:36  arekm
- correct zend_extension_api error message.

Revision 1.504  2005/10/29 00:35:50  glen
- rel 13

Revision 1.503  2005/10/28 19:00:07  glen
- add snapshot build support
- add zts and mime_magic bconds

Revision 1.502  2005/10/27 15:28:11  glen
- add Provides php(debug) and php(thread-safety) provides in -common; rel 12

Revision 1.501  2005/10/26 12:40:44  glen
- add README.FastCGI to fcgi package %doc

Revision 1.500  2005/10/20 10:20:21  qboosh
- reenabled Firebird for Ac

Revision 1.499  2005/10/17 16:44:20  glen
- (paralyzed) --with-pear is back for the sake of include_path; rel 11

Revision 1.498  2005/10/15 13:06:09  glen
- provides for extensions that are compiled statically into libphp-common (for PEAR packages); rel 10

Revision 1.497  2005/10/09 21:28:29  glen
- without sqlite bcond

Revision 1.496  2005/10/09 21:01:16  glen
- disable pear completely
- require at least one apache SAPI to build shared moules

Revision 1.495  2005/10/09 19:43:25  glen
- ftp extension & ssl linkage is fixed

Revision 1.494  2005/10/09 16:35:27  glen
- partial sort BR

Revision 1.493  2005/10/09 16:29:44  glen
- adapterized

Revision 1.492  2005/10/09 16:18:45  glen
- drop PreReq, pearprov

Revision 1.491  2005/10/06 22:17:51  glen
- todo for modularzation

Revision 1.490  2005/10/06 09:32:39  qboosh
- pl for -tokenizer

Revision 1.489  2005/10/06 09:21:56  glen
- rel 9

Revision 1.488  2005/10/04 14:26:41  glen
- move development docs to -devel, add more docs to devel

Revision 1.487  2005/10/04 14:22:20  glen
- build tokenizer extension as shared

Revision 1.486  2005/09/22 23:05:57  glen
- typo when fcgi bcond was not disabled

Revision 1.485  2005/09/22 22:58:57  glen
- fcgi bcond as requested by djurban

Revision 1.484  2005/09/19 23:17:53  glen
- add ssl link patch for ftp extension; rel 8

Revision 1.483  2005/09/17 11:55:06  arekm
- new readline, 5.0

Revision 1.482  2005/09/16 02:13:21  glen
- remove libphp5.la

Revision 1.481  2005/09/16 01:39:41  glen
- hardcode API versions into spec. reliable and works

Revision 1.480  2005/09/15 23:55:24  glen
- chasing the bug

Revision 1.479  2005/09/15 23:41:22  glen
- add debug on php_api_version and error check (as DEVEL is occupied using HEAD). rel 6

Revision 1.478  2005/09/14 15:25:17  adamg
- release 5

Revision 1.477  2005/09/14 14:19:35  adamg
- hardening patch updated to 5.0.5-0.4.3; -hardening-fix.patch disabled

Revision 1.476  2005/09/14 06:03:21  adamg
- possible fix for segfault when serializing objects (as described on
  pld-devel-pl)
- release 4.1

Revision 1.475  2005/09/13 20:45:25  glen
- fresh use rpmbuild macros; rel 4

Revision 1.474  2005/09/13 19:52:24  glen
- make it parse spec properly if source is not yet unpacked to extract API versions

Revision 1.473  2005/09/13 17:55:07  glen
- add API versions for php-common package (modules_api, zend_module_api, zend_extension_api)

Revision 1.472  2005/09/12 21:19:55  glen
- add /usr/share/php to php-common package for apps like jpgraph and phplib, rel 3; STBR

Revision 1.471  2005/09/10 20:15:20  arekm
- rel 2
- fix phpize in builddir.patch
- force-cgi-redirect enabled for cgi-like SAPIs
- enable zts mode for all SAPIs
- use php_config.h.fcgi.${sapi} instead of hardcoded CFLAGS
- install SAPI so's using libtool

Revision 1.470  2005/09/09 22:51:12  arekm
- rel 1

Revision 1.469  2005/09/06 21:49:40  adamg
- updated to 5.0.5
- some tweaks in %install/%files

Revision 1.468  2005/09/03 14:01:43  arekm
- system pcre

Revision 1.467  2005/08/23 10:31:11  glen
- rel 10 for finished conf.d support

Revision 1.466  2005/08/23 10:30:30  glen
- revert invalid last commit

Revision 1.464  2005/08/16 09:38:28  glen
- sed >= 4.0 for updated php-module-install

Revision 1.463  2005/08/16 09:28:52  glen
- apache packages split finished

Revision 1.462  2005/08/15 23:31:40  glen
- BR: rpm-build >= 4.4.0

Revision 1.461  2005/08/15 23:17:57  glen
- use %posttrans to minimize apache restarts (as rpm never promised
  ordering between install and erase, what in fact may change that
  ordering in order to run erasures in parallel with installs.)

Revision 1.460  2005/08/15 16:39:15  glen
- port changes fron php4.spec:
  - add conf.d support
  - minimize apache restarts
  - possibility to build both apache1/apache2 modules (unfinished due Obsolete not resolved)
- cut php 4.x changelog

Revision 1.459  2005/08/14 15:21:34  glen
- fix trigger epoch; rel 9, STBR

Revision 1.458  2005/08/05 17:06:10  hawk
- release 8 (non-integer release changes should work, same changes were
  already built in php4.spec and there were no complaints about them)

Revision 1.457  2005/07/24 21:43:05  glen
- fix trigger

Revision 1.456  2005/07/24 21:34:35  glen
- trigger for php-apache2handler.ini name change

Revision 1.455  2005/07/24 21:29:21  gotar
- use php-apache2handler.ini instead of php-apache.ini for apache2

Revision 1.454  2005/07/03 00:21:44  ankry
- tabs

Revision 1.453  2005/07/03 00:15:26  prism
- fixed some typos in hardening patch, now it builds

Revision 1.452  2005/07/02 20:17:17  prism
- Hardened-PHP is renamed to Hardening-Patch due to the PHP license
- s/hardened/hardening/ in bconds
- Hardening-Patch updated to 0.3.0

Revision 1.451  2005/06/19 16:21:14  glen
- enabled log_errors=On in php.ini
- rel 7
- STBR

Revision 1.450  2005/06/04 19:24:59  zergin
- added %post, %postun for php-tidy
- added R:tidy for php-tidy

Revision 1.449  2005/06/02 13:27:38  ankry
- fix bcond comment

Revision 1.448  2005/05/15 21:14:56  hawk
- release 6 to rebuild with new imap

Revision 1.447  2005/05/11 15:27:01  qboosh
- use x8664 macro

Revision 1.446  2005/05/07 21:27:43  glen
- ftp module TODO

Revision 1.445  2005/05/06 20:57:31  glen
- reverted

Revision 1.444  2005/05/06 20:52:23  glen
- workaround for php module needing openssl symbols. depend on php-openssl

Revision 1.443  2005/05/06 10:20:10  qboosh
- formatting once again, more general if

Revision 1.442  2005/05/03 11:41:41  mmazur
- typo

Revision 1.441  2005/05/03 11:35:20  mmazur
- rel 5; builds with gcc4

Revision 1.440  2005/05/03 00:37:12  mmazur
- Firebird's code looks like crap and gcc4 doesn't like it; disabling firebird
  support

Revision 1.439  2005/04/27 20:16:19  prism
- hardened php updated to 5.0.4-0.2.7

Revision 1.438  2005/04/27 14:48:19  hawk
- release 4

Revision 1.437  2005/04/20 18:39:15  qboosh
- release 3

Revision 1.436  2005/04/16 13:15:43  qboosh
- added comment to R

Revision 1.435  2005/04/16 13:14:05  qboosh
- strange SEGVs seem to be caused by dlclose() bugs in glibc <= 2.3.4 - R: glibc 2.3.5

Revision 1.434  2005/04/07 23:56:00  ankry
- cosmetics

Revision 1.433  2005/04/07 22:24:43  sardzent
- added missing Requires for php-snmp

Revision 1.432  2005/04/04 21:57:09  qboosh
- killed memory leak in sapi-ini-file patch
- added cpdf-fix patch to fix cpdf module linking (needs lib64 patch update)
- release 2.1

Revision 1.431  2005/04/04 20:44:24  qboosh
- more

Revision 1.430  2005/04/04 20:25:13  qboosh
- detected more bugs to do

Revision 1.429  2005/04/04 20:15:56  qboosh
- todo: cpdf module linking is broken

Revision 1.428  2005/04/04 20:03:11  qboosh
- removed obsolete wddx-fix patch; wddx now relies on XML API from xml module
  (which must be loaded before!)

Revision 1.427  2005/04/03 12:55:23  glen
- rel 2; STBR

Revision 1.426  2005/04/03 12:26:36  glen
- rel += .1

Revision 1.425  2005/04/03 12:25:30  glen
- apache1 as bcond

Revision 1.424  2005/04/03 10:45:38  qboosh
- don't use '\-' in regexp (just in case)

Revision 1.423  2005/03/31 23:48:25  adamg
- updated to 5.0.4

Revision 1.422  2005/03/31 09:02:16  qboosh
- Obsoletes for php-domxml (in last version from php.spec - not to obsolete php4 modules)

Revision 1.421  2005/03/31 08:49:39  matipl
- add Provides php-domxml (from php4 to compatible) for php-dom

Revision 1.420  2005/03/27 01:11:46  adamg
- updated to 5.0.4RC2

Revision 1.419  2005/03/20 15:38:51  undefine
- provide: php-common(apache-modules-api) = %{apache_modules_api}
  (some modules need use with php with the same apache_modules_api version,
  with they was compiled).

Revision 1.418  2005/03/15 17:38:02  adamg
- updated to 5.0.4RC1
- updated -lib64, -libtool, -sybase-fix and -threads-acfix patches
- dropped -phpize patch (already applied)
- release 0.1

Revision 1.417  2005/03/13 16:23:10  blues
- php-xsl obsoletes php-xslt

Revision 1.416  2005/03/09 23:14:55  arekm
- enable soap extension; comment about broken shared patch; epoch++ to be higher than on branch

Revision 1.415  2005/03/09 21:45:01  arekm
- enable soap (nfy)

Revision 1.414  2005/02/12 22:46:25  arekm
- rel ++

Revision 1.413  2005/02/10 22:10:21  adamg
- added install_gd_headers.patch (fixes build of php-pecl-pdflib)

Revision 1.412  2005/02/05 23:00:52  hawk
- release 3 to rebuild with new imap

Revision 1.411  2005/01/25 17:12:57  glen
- php-pear now available separately

Revision 1.410  2005/01/11 00:15:55  hawk
- release++ to rebuild with new imap

Revision 1.409  2005/01/07 21:11:28  arekm
- turn on mysqli by default

Revision 1.408  2004/12/28 16:04:15  glen
- fix apache1 build
- simplify apache2 vs apache1

Revision 1.407  2004/12/28 15:55:47  troll
- extended english and added polish description of mysqli

Revision 1.406  2004/12/28 14:40:05  glen
- added mysqli support

Revision 1.405  2004/12/26 20:16:08  qboosh
- added mail patch todo

Revision 1.404  2004/12/26 20:13:13  qboosh
- merges from php4: separate .ini source for fcgi, apache1 updates, cosmetics

Revision 1.403  2004/12/26 19:23:21  qboosh
- more todos

Revision 1.402  2004/12/26 19:13:19  qboosh
- ini patch cosmetics, added java to removed modules list

Revision 1.401  2004/12/26 19:01:01  qboosh
- todo update

Revision 1.400  2004/12/26 18:22:58  qboosh
- added dba-link patch (use -ldb to link dba module only, not whole php)

Revision 1.399  2004/12/26 17:00:03  qboosh
- updated msession-shared-lib patch, added (untested) hwapi-link patch
  now core php doesn't depend on libstdc++

Revision 1.398  2004/12/26 15:37:04  qboosh
- fixed uint32_t patch to use standard header
  libidn is used by curl not php

Revision 1.397  2004/12/26 15:26:42  qboosh
- proper dom configure option - now shared dom module is built

Revision 1.396  2004/12/26 14:05:27  qboosh
- libxml and simplexml extensions cannot be built as shared (they are used in SPL);
  xml bcond makes no sense now
- libxml2 vs expat cleanups

Revision 1.395  2004/12/26 13:50:46  qboosh
- mono and yaz have been moved to PECL

Revision 1.394  2004/12/26 13:49:04  qboosh
- removed outdated xml-expat-fix patch

Revision 1.393  2004/12/26 12:54:00  qboosh
- build shared xsl; libgcrypt is required by lib(e)xslt not php
- removed obsolete domxslt bcond

Revision 1.392  2004/12/26 11:00:04  qboosh
- what xslt? there is no such module now

Revision 1.391  2004/12/26 10:48:07  qboosh
- java module has been removed

Revision 1.390  2004/12/26 10:33:13  qboosh
- what hyperwave? hyperwave module has been removed;
  s/hyperwave/hwapi/ in all references to hwapi module

Revision 1.389  2004/12/21 21:54:43  adamg
- fixed link in bcond description

Revision 1.388  2004/12/21 21:52:45  adamg
- apply (conditionally) patch from hardened-php project

Revision 1.387  2004/12/21 07:47:18  adamg
- hopefully fix build on sparc (include missing header)

Revision 1.386  2004/12/15 21:29:24  adamg
- pl2.php.net seems to be down

Revision 1.385  2004/12/15 21:13:06  adamg
- updated to 5.0.3, several security fixes:
  - CAN-2004-1018
  - CAN-2004-1019
  - CAN-2004-1020
  - CAN-2004-1063
  - CAN-2004-1064
  - CAN-2004-1065
- updated lib64.patch
- dropped mssql.patch (already applied)

Revision 1.384  2004/12/14 16:59:56  baggins
- DON'T hardcode java paths!

Revision 1.383  2004/12/11 11:13:13  arekm
- xslt off by default since it doesn't build at this moment

Revision 1.382  2004/12/11 00:47:16  ankry
- rel. 9 (why it was non-int?)

Revision 1.381  2004/12/06 20:17:30  blues
- make with xslt bcond at least possible to use...

Revision 1.380  2004/11/26 19:26:24  qboosh
- -common Obsoletes php-session < 3:4.2.1-2 (when it was separate) - that should work

Revision 1.379  2004/11/25 20:26:14  arekm
- don't obsolete php-session because it obsoletes php4-session, too :/

Revision 1.378  2004/11/25 11:01:25  arekm
- bump rel (8.1, 2.1)

Revision 1.377  2004/11/25 11:00:18  arekm
- drop Conflicts between php and php4 package - done on configuration level

Revision 1.376  2004/11/16 23:29:50  hawk
- moved note to description of sybase subpackage

Revision 1.375  2004/11/16 22:39:54  hawk
- fixed sybase module build, added note

Revision 1.374  2004/11/16 22:04:33  havner
- rel 7

Revision 1.373  2004/11/16 21:34:50  hawk
- fixed sybase_ct module not being packaged when build without sybase

Revision 1.372  2004/11/16 21:19:05  havner
- rel 6

Revision 1.371  2004/11/16 20:48:13  havner
- i hope it will be ok this time, no conflicts for common packages
  cause they can work together when used separately (not by apache), only
  with apache they don't work, so conflicts for php and php4 packages
- devel packages obsolete themeselves (for builders)

Revision 1.370  2004/11/16 19:52:40  havner
- ln -s php.cli php

Revision 1.369  2004/11/16 19:41:53  havner
- s/program/cli for readline and ncurses

Revision 1.368  2004/11/16 19:13:40  havner
- conflicts for php4

Revision 1.367  2004/10/30 08:24:16  ankry
- PHP language is not the php program, pl fix

Revision 1.366  2004/10/30 07:07:26  paladine
- unifications

Revision 1.365  2004/10/25 13:35:22  arekm
- make cleaning of stale session files work

Revision 1.364  2004/10/25 10:04:20  qboosh
- updated lib64 patch to fix extension_dir in php.ini
- enabled interbase module on alpha
- release 5

Revision 1.363  2004/10/25 09:47:40  qboosh
- patch proper file in ini patch, updated apache-devel BRs

Revision 1.362  2004/10/18 13:16:55  blues
- release 4 - added gd_imagerotate_enable patch to allow using imagerotate
  function. Taken from RA-branch.

Revision 1.361  2004/10/10 13:36:23  gotar
- PR: apache >= 2.0.52 (reported many times, nobody cares), release 3

Revision 1.360  2004/10/03 02:01:03  havner
- rel 2

Revision 1.359  2004/10/03 00:52:18  havner
- rel 1

Revision 1.358  2004/10/02 23:14:13  paszczus
- removed SECURITY notes (5.0.2 fixes)

Revision 1.357  2004/10/02 20:37:05  arekm
- updated to 5.0.2

Revision 1.356  2004/09/21 10:46:36  blues
- next security note

Revision 1.355  2004/09/21 10:19:27  blues
- SECURITY note (fix avaible via php cvs)

Revision 1.354  2004/09/14 20:11:17  adamg
- stop using php4 icon

Revision 1.353  2004/09/01 18:08:04  adamg
- BuildRequires: libgcrypt-devel

Revision 1.352  2004/08/18 23:26:39  arekm
- reverted socket change, FIRST understand THEN change

Revision 1.351  2004/08/18 23:24:30  gotar
- mysql UNIX socket defaults to PLD default

Revision 1.350  2004/08/18 22:00:41  qboosh
- added amd64 to archs with Firebird support

Revision 1.349  2004/08/15 20:08:48  adamg
- devel subpackage requires autoconf and automake (needed by phpize)

Revision 1.348  2004/08/13 19:49:41  adamg
- separate sybase and sybase_ct modules - first one is broken (dunno why)
- release 0.2

Revision 1.347  2004/08/13 17:15:10  adamg
- updated to 5.0.1

Revision 1.346  2004/08/12 09:55:15  qboosh
- require just gd* 2.0.28; restore changelog

Revision 1.345  2004/08/12 09:45:40  blues
- drop with gif bcond - not needed now

Revision 1.344  2004/08/11 10:04:26  qboosh
- BR: ncurses-ext-devel

Revision 1.343  2004/08/09 11:30:43  blues
- require proper libxml2

Revision 1.342  2004/08/08 21:09:28  arekm
- rel 4 (works with threaded and non-threaded MPMs)

Revision 1.341  2004/08/08 20:21:49  arekm
- option changed name

Revision 1.340  2004/08/08 13:58:56  arekm
- enable zts for apache2

Revision 1.339  2004/08/07 19:12:12  adamg
- fix lib path in phpize (otherwise phpize fails on amd64)
- proper quotation of autofoo definitions in phpize.m4
- release 3

Revision 1.338  2004/08/04 13:48:06  arekm
- rel 2 (builds on amd64, too)

Revision 1.337  2004/08/04 13:22:02  arekm
- doh :)

Revision 1.336  2004/08/04 13:10:20  arekm
- patch25 applied only for amd64

Revision 1.335  2004/08/04 12:39:51  arekm
- add lib64 patch

Revision 1.334  2004/07/30 23:57:27  qboosh
- build recode module

Revision 1.333  2004/07/30 13:42:40  qboosh
- added nohttpd patch

Revision 1.332  2004/07/25 21:34:19  arekm
- rel 1 (major issue fixed (linking problems))

Revision 1.331  2004/07/19 22:38:13  arekm
- one more release into R

Revision 1.330  2004/07/19 22:20:01  arekm
- merged DEVEL

Revision 1.304.2.18  2004/07/16 19:55:38  arekm
- sqlite subpackage added; missing post/postun scripts for sqlite/simplexml added

Revision 1.304.2.17  2004/07/16 19:38:52  arekm
- sqlite enabled, simplexml enabled (as static, shared build broken)

Revision 1.304.2.16  2004/07/14 15:37:09  zergin
- added missing BR: libidn-devel

Revision 1.304.2.15  2004/07/13 22:57:03  adamg
- updated to 5.0.0 final (fetch sources for now; will work on this in a few days)

Revision 1.304.2.14  2004/06/10 18:56:52  adamg
- updated to 5.0.0RC3
- added mnogosearch-fix.patch (taken from HEAD)
- removed pdf extension (moved to PECL)

Revision 1.304.2.13  2004/05/01 20:39:32  adamg
- turned off sybase extension (breaks build)

Revision 1.304.2.12  2004/05/01 20:17:56  adamg
- switched some bconds (should build now)

Revision 1.304.2.11  2004/05/01 20:15:42  adamg
- updated to 5.0.0RC2

Revision 1.304.2.10  2004/03/18 22:46:18  arekm
- fix sqlite, breaks on sybase db

Revision 1.304.2.9  2004/03/18 19:31:27  arekm
- started RC1 + some fcgi things

Revision 1.304.2.8  2004/03/07 23:13:33  adamg
- removed fcgi todo entry

Revision 1.304.2.7  2004/03/07 22:37:24  adamg
- merged changes from HEAD (spelling fix, fcgi support)

Revision 1.304.2.6  2004/01/01 19:56:01  adamg
- added new extensions (can be disabled with bcond):
  - fam (File Alteration Monitor)
  - mono
  - sqlite
- now simplexml build can really be disabled :)
- --with-jpeg-dir, --with-png-dir and --with-tiff-dir weren't properly
  handled (was 'shared,/usr', should be '/usr')
- some more php4 to php5 substitutions
- still doesn't build, there are some linking problems...

Revision 1.304.2.5  2003/12/27 20:27:13  adamg
- Removed following extensions:
    crack, db, domxml, fribidi, mcal, overload, qtdom, zip
  They were either moved to PECL, or permanently removed.
- Added following extensions
    tidy, simplexml
  They are build by default, but can be disabled by using bcond.
- Hyperwave extension depends on proprietary libs, thus it is not being
  built by default
- Removed obsolete BuildRequires
- Removed obsolete patches, sorted the rest
- OpenSSL extensions is now build as a module (it was broken in 4.3.x)
- /php 4/php 5/ in some of summaries
- Added %{_pre} to Release
- Some cosmetics in bcond descriptions
- Almost done, sybase module still doesn't build.

Revision 1.304.2.4  2003/12/26 21:09:48  adamg
- s/libphp4/libphp5/
- libphp5.so isn't installed with make install (ToDo: why?)
- hey, it builds (--without {sybase,interbase}) !

Revision 1.304.2.3  2003/12/25 22:10:40  adamg
- fixed Source0-md5

Revision 1.304.2.2  2003/12/25 17:08:02  adamg
- updated -shared.patch
- added temporary source0 url
- ehrm, release 0.1
- still some complaints on %files (one, actually)
- Work In Progress, do not touch, please

Revision 1.304.2.1  2003/12/25 11:21:18  adamg
- began work on php5
- removed some extensions (few of them were moved to PECL)
- builds (with --without interbase and --without sybase), but still fails
  on %files
- Not Finished Yet.
